<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */

add_action('admin_init', 's7upf_custom_meta_boxes');
if(!function_exists('s7upf_custom_meta_boxes')){
    function s7upf_custom_meta_boxes(){
        //Format content
        $format_metabox = array(
            'id' => 'block_format_content',
            'title' => esc_html__('Format Settings', 'kutearts_shop'),
            'desc' => '',
            'pages' => array('post'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(                
                array(
                    'id' => 'format_image',
                    'label' => esc_html__('Upload Image', 'kutearts_shop'),
                    'type' => 'upload',
                ),
                array(
                    'id' => 'format_gallery',
                    'label' => esc_html__('Add Gallery', 'kutearts_shop'),
                    'type' => 'Gallery',
                ),
                array(
                    'id' => 'format_media',
                    'label' => esc_html__('Link Media', 'kutearts_shop'),
                    'type' => 'text',
                ),
                array(
                    'id'          => 'sv_single_style',
                    'label'       => esc_html__('Single Style','kutearts_shop'),
                    'type'        => 'select',
                    'std' => '',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('Default','kutearts_shop'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('Content offset','kutearts_shop'),
                            'value'=>'content-offset'
                        ),
                    ),
                ),
            ),
        );
        // SideBar
    	$sidebar_metabox_default = array(
            'id'        => 'sv_sidebar_option',
            'title'     => 'Advanced Settings',
            'desc'      => '',
            'pages'     => array( 'page','post','product'),
            'context'   => 'side',
            'priority'  => 'low',
            'fields'    => array(
                array(
                    'id'          => 'sv_sidebar_position',
                    'label'       => esc_html__('Sidebar position ','kutearts_shop'),
                    'type'        => 'select',
                    'std' => '',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','kutearts_shop'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('No Sidebar','kutearts_shop'),
                            'value'=>'no'
                        ),
                        array(
                            'label'=>esc_html__('Left sidebar','kutearts_shop'),
                            'value'=>'left'
                        ),
                        array(
                            'label'=>esc_html__('Right sidebar','kutearts_shop'),
                            'value'=>'right'
                        ),
                    ),

                ),
                array(
                    'id'        =>'sv_select_sidebar',
                    'label'     =>esc_html__('Selects sidebar','kutearts_shop'),
                    'type'      =>'sidebar-select',
                    'condition' => 'sv_sidebar_position:not(no),sv_sidebar_position:not()',
                ),
                array(
                    'id'          => 'sv_show_breadrumb',
                    'label'       => esc_html__('Show Breadcrumb','kutearts_shop'),
                    'type'        => 'select',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','kutearts_shop'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('Yes','kutearts_shop'),
                            'value'=>'yes'
                        ),
                        array(
                            'label'=>esc_html__('No','kutearts_shop'),
                            'value'=>'no'
                        ),
                    ),

                ),
                array(
                    'id'          => 'sv_header_page',
                    'label'       => esc_html__('Choose page header','kutearts_shop'),
                    'type'        => 'select',
                    'choices'     => s7upf_list_header_page()
                ),
                array(
                    'id'          => 'sv_footer_page',
                    'label'       => esc_html__('Choose page footer','kutearts_shop'),
                    'type'        => 'page-select'
                ),
                array(
                    'id'          => 'main_bg',
                    'label'       => esc_html__('Main Background','kutearts_shop'),
                    'type'        => 'colorpicker',
                ),
            )
        );
        // Blog metabox
        $magazine_metabox = array(
            'id'        => 'sv_blog_meta',
            'title'     => 'Set type post',
            'pages'     => array( 'post' ),
            'context'   => 'side',
            'priority'  => 'high',
            'fields'    => array(
                array(
                    'id'          => 'trending_post',
                    'label'       => esc_html__('Trending Post','kutearts_shop'),
                    'type'        => 'on-off',
                    'std'         => 'off'
                ),
                array(
                    'id'          => 'featured_post',
                    'label'       => esc_html__('Featured Post','kutearts_shop'),
                    'type'        => 'on-off',
                    'std'         => 'off'
                ),
                array(
                    'id'          => 'time_update',
                    'label'       => esc_html__('Update in day','kutearts_shop'),
                    'type'        => 'date-picker'
                )
            )
        );
        //Show page title
        $show_page_title = array(
            'id' => 'page_title_setting',
            'title' => esc_html__('Title page setting', 'kutearts_shop'),
            'pages' => array('page'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(
                array(
                    'id' => 'show_title_page',
                    'label' => esc_html__('Show title', 'kutearts_shop'),
                    'type' => 'on-off',
                    'std'   => 'on',
                ),
            ),
        );
        if (function_exists('ot_register_meta_box')){
            ot_register_meta_box($format_metabox);
            ot_register_meta_box($sidebar_metabox_default);
            ot_register_meta_box($magazine_metabox);
            ot_register_meta_box($show_page_title);
        }
    }
}
?>