<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_advantage'))
{
    function s7upf_vc_advantage($attr,$content = false)
    {
        $html = $view_html = $bg_class = '';
        extract(shortcode_atts(array(
            'style'      => 'home-2',
            'icon'       => '',
            'image'       => '',
            'image2'       => '',
            'title'      => '',
            'des'        => '',
            'link'       => '',
            'bg_color'   => '',
        ),$attr));
        $link_item = '#';
        if(!empty($bg_color)) $bg_class = S7upf_Assets::build_css('background:'.esc_attr($bg_color).' !important;');        
        $view_link = vc_build_link( $link );
        if(!empty($view_link['url']) && !empty($view_link['title'])){
            if(!empty($view_link['target'])) $target_html = 'target="'.$view_link['target'].'"';
            else $target_html = '';
            $view_html = '<a class="learnmore" href="'.esc_url($view_link['url']).'" '.$target_html.'>'.$view_link['title'].'</a>';
            $link_item = $view_link['url'];
        }
        switch ($style) {
            case 'home-7-2':
                if(!empty($view_link['url']) && !empty($view_link['title'])){
                    if(!empty($view_link['target'])) $target_html = 'target="'.$view_link['target'].'"';
                    else $target_html = '';
                    $view_html = '<a class="shop-button" href="'.esc_url($view_link['url']).'" '.$target_html.'>'.$view_link['title'].'</a>';
                    $link_item = $view_link['url'];
                }
                $html .=    '<div class="banner-adv item-adv7 zoom-image overlay-image">
                                <a href="'.esc_url($link_item).'" class="adv-thumb-link">
                                    '.wp_get_attachment_image($image,'full').'
                                </a>
                                <div class="adv-info7  text-center">
                                    <h2>'.esc_html($title).'</h2>
                                    <p>'.esc_html($des).'</p>
                                    '.$view_html.'
                                </div>
                            </div>';
                break;

            case 'home-7':
                if(!empty($view_link['url']) && !empty($view_link['title'])){
                    if(!empty($view_link['target'])) $target_html = 'target="'.$view_link['target'].'"';
                    else $target_html = '';
                    $view_html = '<a class="shop-button" href="'.esc_url($view_link['url']).'" '.$target_html.'>'.$view_link['title'].'</a>';
                    $link_item = $view_link['url'];
                }
                $html .=    '<div class="banner-adv item-adv7 zoom-out">
                                <a href="'.esc_url($link_item).'" class="adv-thumb-link">
                                    '.wp_get_attachment_image($image,'full').'
                                    '.wp_get_attachment_image($image2,'full').'
                                </a>
                                <div class="adv-info7  text-center">
                                    <h2>'.esc_html($title).'</h2>
                                    <p>'.esc_html($des).'</p>
                                    '.$view_html.'
                                </div>
                            </div>';
                break;

            case 'home-3':
                $html .=    '<div class="item-message-box">';
                if(!empty($icon)){
                    $html .=    '<a href="'.esc_url($link_item).'" class="message-icon">
                                    <i class="fa '.$icon.'" aria-hidden="true"></i>
                                </a>';
                }
                if(!empty($title)){
                    $html .=    '<h2><a href="'.esc_url($link_item).'">'.esc_html($title).'</a></h2>';
                }
                if(!empty($des)){
                    $html .=   '<p>'.esc_html($des).'</p>';
                }
                $html .=        $view_html;
                $html .=    '</div>';
                break;
            
            default:
                $html .=    '<div class="item-box-adv-text style1 '.esc_attr($bg_class).'">
                                <div class="inner-box-adv-text">';
                if(!empty($icon)){
                    $html .=        '<div class="logo-box"><a href="'.esc_url($link_item).'"><i class="fa '.$icon.'" aria-hidden="true"></i></a></div>';
                }
                if(!empty($title)){
                    $html .=        '<h3 class="title-box-adv-text">'.esc_html($title).'</h3>';
                }
                if(!empty($des)){
                    $html .=        '<p>'.esc_html($des).'</p>';
                }
                $html .=            $view_html;
                $html .=        '</div>
                            </div>';
                break;
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_advantage','s7upf_vc_advantage');

vc_map( array(
    "name"      => esc_html__("SV Advantage", 'kutearts_shop'),
    "base"      => "sv_advantage",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'kutearts_shop'),
            "param_name" => "style",
            "value" => array(
                esc_html__("Home 2",'kutearts_shop') => 'home-2',
                esc_html__("Home 3",'kutearts_shop') => 'home-3',
                esc_html__("Home 7",'kutearts_shop') => 'home-7',
                esc_html__("Home 7(2)",'kutearts_shop') => 'home-7-2',
                )
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image",'kutearts_shop'),
            "param_name" => "image",
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('home-7','home-7-2'),
                )
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image 2",'kutearts_shop'),
            "param_name" => "image2",
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('home-7'),
                )
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Icon",'kutearts_shop'),
            "param_name"    => "icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('home-2','home-3'),
                )
        ),
        array(
            "type" => "textfield",
            "holder"    => 'h4',
            "heading" => esc_html__("Title",'kutearts_shop'),
            "param_name" => "title",
        ),
        array(
            "type" => "textarea",
            "holder"    => 'div',
            "heading" => esc_html__("Description",'kutearts_shop'),
            "param_name" => "des",
        ),
        array(
            'type'        => 'vc_link',
            'heading'     => esc_html__( 'Link Banner', 'kutearts_shop' ),
            'param_name'  => 'link',
        ),        
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Background Color",'kutearts_shop'),
            "param_name" => "bg_color",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => 'home-2',
                )
        ),
    )
));