<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 29/02/16
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_blog'))
{
    function s7upf_vc_blog($attr)
    {
        $html = $class_nav = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'number'        => '',
            'order'         => '',
            'order_by'      => '',
        ),$attr));
        $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
        $args=array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => $paged,
        );
        if($order_by == 'post_views'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby'] = 'meta_value';
            $args['meta_key'] = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = '_post_like_count';
        } 
        $query = new WP_Query($args);
        $count = 1;
        $count_query = $query->post_count;
        switch ($style) {
            case 'list-medium':
                $html .=    '<div class="list-post-medium">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=    '<div class="item-blog-list clearfix">';
                        if($count % 2 == 1) $html .=    '<div class="blog-list-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(390,390)).'</a></div>';
                        $html .=        '<div class="blog-list-info">
                                            '.s7upf_get_cat_post('blog-cat-parent').'
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            <a href="'.esc_url(get_the_permalink()).'" class="learn-more">'.esc_html__("Learn More","kutearts_shop").'</a>
                                            <ul class="post-comment-date">
                                                <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                            </ul>
                                        </div>';
                        if($count % 2 == 0) $html .=    '<div class="blog-list-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(390,390)).'</a></div>';
                        $html .=    '</div>';
                        $count++;
                    }
                }
                break;
            
            default:
                $html .=    '<div class="list-post-default">';
                ob_start();
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        get_template_part( 's7upf_templates/blog-content/content' );
                    }
                }
                $html .=    ob_get_clean();
                $html .=        '</div>';
                break;
        }        
        $big = 999999999;
        $html .=        '<div class="blog-paging">';
        $html .=            paginate_links( array(
                                'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                                'format'       => '&page=%#%',
                                'current'      => max( 1, $paged ),
                                'total'        => $query->max_num_pages,
                                'prev_text' => '<span class="lnr lnr-chevron-left"></span>',
                                'next_text' => '<span class="lnr lnr-chevron-right"></span>',
                                'end_size'     => 2,
                                'mid_size'     => 1
                            ) );        
        $html .=        '</div>';
        $html .=    '</div>';
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_blog','s7upf_vc_blog');

vc_map( array(
    "name"      => esc_html__("SV Blog", 'kutearts_shop'),
    "base"      => "sv_blog",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "textfield",
            "heading" => esc_html__("Number post",'kutearts_shop'),
            "param_name" => "number",
            'description'   => esc_html__( 'Number of post display in this element. Default is 10.', 'kutearts_shop' ),
        ),
        array(
            "type"          => "dropdown",
            "holder"        => "div",
            "heading"       => esc_html__("Style Post",'kutearts_shop'),
            "param_name"    => "style",
            "value"         => array(
                esc_html__("List Default","kutearts_shop")          => '',
                esc_html__("List Medium","kutearts_shop")         => 'list-medium',
                ),
            'description'   => esc_html__( 'Choose style to display.', 'kutearts_shop' ),
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order",'kutearts_shop'),
            "param_name"    => "order",
            "value"         => array(
                esc_html__('Desc','kutearts_shop') => 'DESC',
                esc_html__('Asc','kutearts_shop')  => 'ASC',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order By",'kutearts_shop'),
            "param_name"    => "order_by",
            "value"         => s7upf_get_order_list(),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
    )
));