<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 31/08/15
 * Time: 10:00 AM
 */
/************************************Main Carousel*************************************/
if(!function_exists('s7upf_vc_slide_carousel'))
{
    function s7upf_vc_slide_carousel($attr, $content = false)
    {
        $html = $css_class = '';
        extract(shortcode_atts(array(
            'item'      => '1',
            'speed'     => '',
            'itemres'   => '',
            'nav_slider'=> 'nav-hidden',
            'animation' => '',
            'custom_css' => '',
        ),$attr));
        if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
            $html .=    '<div class="banner-slider '.$nav_slider.'">';
            $html .=        '<div class="wrap-item sv-slider '.esc_attr($css_class).'" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($itemres).'" data-animation="'.esc_attr($animation).'" data-nav="'.esc_attr($nav_slider).'" data-prev="'.esc_attr__("Prev","kutearts_shop").'" data-next="'.esc_attr__("Next","kutearts_shop").'">';
            $html .=            wpb_js_remove_wpautop($content, false);
            $html .=        '</div>';
            $html .=    '</div>';
        return $html;
    }
}
stp_reg_shortcode('slide_carousel','s7upf_vc_slide_carousel');
vc_map(
    array(
        'name'     => esc_html__( 'Carousel Slider', 'kutearts_shop' ),
        'base'     => 'slide_carousel',
        'category' => esc_html__( '7Up-theme', 'kutearts_shop' ),
        'icon'     => 'icon-st',
        'as_parent' => array( 'only' => 'vc_column_text,vc_single_image,slide_banner_item,slide_team_item,slide_testimonial_item,slide_cat_item,slide_brand_item' ),
        'content_element' => true,
        'js_view' => 'VcColumnView',
        'params'   => array(                       
            array(
                'heading'     => esc_html__( 'Item slider display', 'kutearts_shop' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter number of item. Default is 1.', 'kutearts_shop' ),
                'param_name'  => 'item',
            ),
            array(
                'heading'     => esc_html__( 'Speed', 'kutearts_shop' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter time slider go to next item. Unit (ms). Example 5000. If empty this field autoPlay is false.', 'kutearts_shop' ),
                'param_name'  => 'speed',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Navigation style', 'kutearts_shop' ),
                'param_name'  => 'nav_slider',
                'value'       => array(
                    esc_html__( 'Hidden', 'kutearts_shop' )   => 'nav-hidden',
                    esc_html__( 'Default', 'kutearts_shop' )   => 'owl-directnav',
                    esc_html__( 'Navigation text', 'kutearts_shop' )   => 'banner-slider2 owl-directnav',
                    esc_html__( 'Pagination Vertical', 'kutearts_shop' )   => 'banner-slider3 owl-paginav',
                    esc_html__( 'Pagination Default', 'kutearts_shop' )   => 'testimonial-slider',
                    esc_html__( 'Navigation 6', 'kutearts_shop' )   => 'owl-directnav banner-slider6 bg-slider',
                    esc_html__( 'Navigation 7', 'kutearts_shop' )   => 'banner-slider7 bg-slider',
                    )
            ),
            array(
                'heading'     => esc_html__( 'Custom Item', 'kutearts_shop' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter custom item for each window 360px,480px,768px,992px. Default is auto. Example: "2,3,4,5"', 'kutearts_shop' ),
                'param_name'  => 'itemres',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Animation', 'kutearts_shop' ),
                'param_name'  => 'animation',
                'value'       => array(
                    esc_html__( 'None', 'kutearts_shop' )        => '',
                    esc_html__( 'Fade', 'kutearts_shop' )        => 'fade',
                    esc_html__( 'BackSlide', 'kutearts_shop' )   => 'backSlide',
                    esc_html__( 'GoDown', 'kutearts_shop' )      => 'goDown',
                    esc_html__( 'FadeUp', 'kutearts_shop' )      => 'fadeUp',
                    )
            ),
            array(
                "type"          => "css_editor",
                "heading"       => esc_html__("Custom Block",'kutearts_shop'),
                "param_name"    => "custom_css",
                'group'         => esc_html__('Advanced','kutearts_shop')
            )
        )
    )
);

/*******************************************END MAIN*****************************************/


/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_banner_item'))
{
    function s7upf_vc_slide_banner_item($attr, $content = false)
    {
        $html = $view_html = $view_html2 = '';
        extract(shortcode_atts(array(
            'style'         => 'item-banner',
            'image'         => '',
            'link'          => '',
            'link2'         => '',
            'button_style'  => '',
            'css_animation' => ''
        ),$attr));
        if(!empty($image)){
            $link_image = '#';
            $view_link = vc_build_link( $link );
            if(!empty($view_link['url']) && !empty($view_link['title'])){
                $btn_class = 'btn-more';
                if($style == 'item-banner4') $btn_class = 'shopnow';
                if(!empty($view_link['target'])) $target_html = 'target="'.esc_attr($view_link['target']).'"';
                else $target_html = '';
                $view_html = '<a class="'.esc_attr($btn_class).'" href="'.esc_url($view_link['url']).'" '.$target_html.'>'.$view_link['title'].'</a>';
                $link_image = $view_link['url'];
            }
            $view_link2 = vc_build_link( $link2 );
            if(!empty($view_link2['url']) && !empty($view_link2['title'])){
                $btn_class2 = 'btn-join';
                if($style == 'item-banner4') $btn_class2 = 'shopnow';
                if(!empty($view_link2['target'])) $target_html = 'target="'.$view_link2['target'].'"';
                else $target_html = '';
                $view_html2 = '<a class="'.esc_attr($btn_class2).'" href="'.esc_url($view_link2['url']).'" '.$target_html.'>'.$view_link2['title'].'</a>';
            }
            $info_class = '';
            if(!empty($css_animation)) $info_class = 'animated '.$css_animation;
            switch ($style) {
                case 'item-slider6':
                    $html .=    '<div class="item-slider '.esc_attr($style).'">
                                    <div class="banner-thumb"><a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a></div>
                                    <div class="banner-info '.esc_attr($info_class).'" data-animated="'.esc_attr($css_animation).'">';
                    $html .=            wpb_js_remove_wpautop($content, true);
                    if(!empty($view_html) || !empty($view_html2)){
                        $html .=        '<div class="banner-button">
                                            '.$view_html.'
                                            '.$view_html2.'
                                        </div>';
                                    }
                    $html .=        '</div>
                                </div>';
                    break;
                
                default:
                    $html .=    '<div class="'.esc_attr($style).'">
                                    <div class="banner-thumb">
                                        <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                    </div>
                                    <div class="banner-info '.esc_attr($info_class).'" data-animated="'.esc_attr($css_animation).'">';
                    $html .=            wpb_js_remove_wpautop($content, true);
                    if(!empty($view_html) || !empty($view_html2)){
                        $html .=        '<div class="banner-button">
                                            '.$view_html.'
                                            '.$view_html2.'
                                        </div>';
                                    }
                    $html .=        '</div>
                                </div>';
                    break;
            }            
        }
        return $html;
    }
}
stp_reg_shortcode('slide_banner_item','s7upf_vc_slide_banner_item');

// Banner item
vc_map(
    array(
        'name'     => esc_html__( 'Banner Item', 'kutearts_shop' ),
        'base'     => 'slide_banner_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Style', 'kutearts_shop' ),
                'param_name'  => 'style',
                'value'       => array(
                    esc_html__( 'Default', 'kutearts_shop' ) => 'item-banner',
                    esc_html__( 'Style 2', 'kutearts_shop' ) => 'item-banner2',
                    esc_html__( 'Style 3', 'kutearts_shop' ) => 'item-banner3',
                    esc_html__( 'Style 4', 'kutearts_shop' ) => 'item-banner4',
                    esc_html__( 'Style 6', 'kutearts_shop' ) => 'item-slider6',
                    esc_html__( 'Style 7', 'kutearts_shop' ) => 'item-slider item-banner3',
                    )
            ),            
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'kutearts_shop' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'vc_link',
                'heading'     => esc_html__( 'Link Banner', 'kutearts_shop' ),
                'param_name'  => 'link',
            ),
            array(
                'type'        => 'vc_link',
                'heading'     => esc_html__( 'Link Banner 2', 'kutearts_shop' ),
                'param_name'  => 'link2',
            ),
            vc_map_add_css_animation( false ),
            array(
                "type" => "textarea_html",
                "holder" => "div",
                "heading" => esc_html__("Content",'kutearts_shop'),
                "param_name" => "content",
            ),
        )
    )
);

/**************************************END ITEM************************************/

/**************************************BEGIN ITEM************************************/
//Testimonial Frontend
if(!function_exists('s7upf_vc_slide_team_item'))
{
    function s7upf_vc_slide_team_item($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'image'     => '',
            'name'      => '',
            'list'      => '',
            'position'  => '',
            'link'      => '#',
        ),$attr));
        $html .=    '<div class="item">
                        <div class="staff-thumb">
                            <a href="'.esc_url($link).'">'.wp_get_attachment_image($image).'</a>';
        parse_str( urldecode( $list ), $data);
        if(is_array($data)){
            $html .=            '<div class="staff-social">';
            foreach ($data as $key => $value) {
                $url = '#';$el_class = 'staff-twit';
                if($key == 1) $el_class = 'staff-face';
                if($key == count($data)) $el_class = 'staff-link';
                if(isset($value['url'])) $url = $value['url'];
                $html .=    '<a class="'.$el_class.'" href="'.esc_url($url).'"><i class="fa '.$value['social'].'"></i></a>';
            }
            $html .=            '</div>';
        }        
        $html .=        '</div>
                        <div class="staff-info">
                            <h3><a href="'.esc_url($link).'">'.$name.'</a></h3>
                            <span>'.$position.'</span>
                            '.wpb_js_remove_wpautop($content, true).'
                        </div>
                    </div>';
        return $html;
    }
}
stp_reg_shortcode('slide_team_item','s7upf_vc_slide_team_item');

// Testimonial item
vc_map(
    array(
        'name'     => esc_html__( 'Team Item', 'kutearts_shop' ),
        'base'     => 'slide_team_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(            
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Avatar', 'kutearts_shop' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',
                'div'         => 'div',
                'heading'     => esc_html__( 'Name', 'kutearts_shop' ),
                'param_name'  => 'name',
            ),
            array(
                'type'        => 'textfield',
                'div'         => 'div',
                'heading'     => esc_html__( 'Position', 'kutearts_shop' ),
                'param_name'  => 'position',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link Detail', 'kutearts_shop' ),
                'param_name'  => 'link',
            ),
            array(
                "type" => "add_social",
                "heading" => esc_html__("Add Social List",'kutearts_shop'),
                "param_name" => "list",
            ),
            array(
                "type" => "textarea_html",
                "holder" => "div",
                "heading" => esc_html__("Content",'kutearts_shop'),
                "param_name" => "content",
            ),
        )
    )
);

/**************************************END ITEM************************************/

/**************************************BEGIN ITEM************************************/
//Brand Frontend
if(!function_exists('s7upf_vc_slide_brand_item'))
{
    function s7upf_vc_slide_brand_item($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'image'     => '',
            'link'      => '',
        ),$attr));
        $html .=    '<div class="item-brand6">
                        <a href="'.esc_url($link).'" class="wobble-horizontal">'.wp_get_attachment_image($image,'full').'</a>
                    </div>';
        return $html;
    }
}
stp_reg_shortcode('slide_brand_item','s7upf_vc_slide_brand_item');

// Testimonial item
vc_map(
    array(
        'name'     => esc_html__( 'Brand Item', 'kutearts_shop' ),
        'base'     => 'slide_brand_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'kutearts_shop' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link', 'kutearts_shop' ),
                'param_name'  => 'link',
            ),
        )
    )
);

/**************************************END ITEM************************************/

/**************************************BEGIN ITEM************************************/
//Testimonial Frontend
if(!function_exists('s7upf_vc_slide_testimonial_item'))
{
    function s7upf_vc_slide_testimonial_item($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'image'     => '',
            'name'      => '',
            'list'      => '',
            'position'  => '',
            'link'      => '#',
            'des'       => '#',
        ),$attr));
        $html .=    '<div class="item-testimo">
                        <p class="test-intro">'.$des.'</p>
                        <div class="test-content">
                            <span class="tes-text-left">'.$name.'</span>
                            <a href="'.esc_url($link).'" class="tes-icon">'.wp_get_attachment_image($image,'full').'</a>
                            <span class="test-text-right">'.$position.'</span>
                        </div>
                    </div>';
        return $html;
    }
}
stp_reg_shortcode('slide_testimonial_item','s7upf_vc_slide_testimonial_item');

// Testimonial item
vc_map(
    array(
        'name'     => esc_html__( 'Testimonial Item', 'kutearts_shop' ),
        'base'     => 'slide_testimonial_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(            
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Avatar', 'kutearts_shop' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',
                'div'         => 'div',
                'heading'     => esc_html__( 'Name', 'kutearts_shop' ),
                'param_name'  => 'name',
            ),
            array(
                'type'        => 'textfield',
                'div'         => 'div',
                'heading'     => esc_html__( 'Position', 'kutearts_shop' ),
                'param_name'  => 'position',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link Detail', 'kutearts_shop' ),
                'param_name'  => 'link',
            ),
            array(
                "type" => "textarea",
                "holder" => "div",
                "heading" => esc_html__("Description",'kutearts_shop'),
                "param_name" => "des",
            ),
        )
    )
);

/**************************************END ITEM************************************/

/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_cat_item'))
{
    function s7upf_vc_slide_cat_item($attr, $content = false)
    {
        $html = $term_link = $term_title = '';
        extract(shortcode_atts(array(
            'style'           => '',
            'cat'           => '',
            'image'         => '',
            'size'         => '',
            'title'         => '',
            'link'          => '',
            'des'         => '',
        ),$attr));
        if(!empty($cat)) $cat = str_replace(' ', '', $cat);
        $term = get_term_by( 'slug',$cat, 'product_cat' );
        $count = 0;
        if(!empty($term) && is_object($term)){
            $term_link = get_term_link( $term->term_id, 'product_cat' );
            $term_title = $term->name;
            $count = $term->count;
        }
        if(!empty($link)) $term_link = $link;
        if(!empty($title)) $term_title = $title;
        if(!empty($size)) $size = explode('x', $size);
        else $size = 'full';
        switch ($style) {
            case 'cat-adv16':
                
                break;

            default:
                $html .=    '<div class="post-item style2">
                                <div class="post-thumb">
                                    <a href="'.esc_url($term_link).'">'.wp_get_attachment_image($image,$size).'</a>
                                </div>
                                <div class="post-info">
                                    <a href="'.esc_url($term_link).'" class="cat-parent">'.esc_html($term_title).'</a>
                                    <h3 class="post-title"><a href="'.esc_url($term_link).'">'.esc_html($des).'</a></h3>
                                </div>
                                <div class="readmore-comment">
                                    <a href="'.esc_url($term_link).'" class="readmore-link"></a>
                                    <a href="'.esc_url($term_link).'" class="comment-link"><i class="fa fa-th" aria-hidden="true"></i><span>'.$count.' '.esc_html__("Items","kutearts_shop").'</span></a>
                                </div>
                            </div>';
                break;
        }
        return $html;
    }
}
stp_reg_shortcode('slide_cat_item','s7upf_vc_slide_cat_item');

// Banner item
if(isset($_GET['return'])) $check_add = $_GET['return'];
if(empty($check_add)) add_action( 'vc_before_init_base','sv_admin_category_product_item',10,100 );
if ( ! function_exists( 'sv_admin_category_product_item' ) ) {
    function sv_admin_category_product_item(){
        vc_map(
            array(
                'name'     => esc_html__( 'Product category Item', 'kutearts_shop' ),
                'base'     => 'slide_cat_item',
                'icon'     => 'icon-st',
                'content_element' => true,
                'as_child' => array('only' => 'slide_carousel'),
                'params'   => array(
                    array(
                        'type'        => 'dropdown',
                        'holder'      => 'div',
                        'heading'     => esc_html__( 'Style', 'kutearts_shop' ),
                        'param_name'  => 'style',
                        'value'       => array(
                            esc_html__( 'Default', 'kutearts_shop' )              => '',
                            ),
                    ),
                    array(
                        'holder'     => 'div',
                        'heading'     => esc_html__( 'Product Categories', 'kutearts_shop' ),
                        'type'        => 'autocomplete',
                        'param_name'  => 'cat',
                        'settings' => array(
                            'multiple' => false,
                            'sortable' => false,
                            'values' => s7upf_get_product_taxonomy(),
                        ),
                        'save_always' => true,
                        'description' => esc_html__( 'List of product categories', 'kutearts_shop' ),
                    ),
                    array(
                        'type'        => 'attach_image',
                        'heading'     => esc_html__( 'Image', 'kutearts_shop' ),
                        'param_name'  => 'image',
                    ),
                    array(
                        "type"          => "textfield",
                        "heading"       => esc_html__("Image Size",'kutearts_shop'),
                        "param_name"    => "size",
                        'description'   => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'kutearts_shop' ),
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Custom title', 'kutearts_shop' ),
                        'param_name'  => 'title',
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Custom Link', 'kutearts_shop' ),
                        'param_name'  => 'link',
                    ),
                    array(
                        'type'        => 'textarea',
                        'heading'     => esc_html__( 'Description', 'kutearts_shop' ),
                        'param_name'  => 'des',
                    ),
                )
            )
        );
    }
}

/**************************************END ITEM************************************/

//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Slide_Carousel extends WPBakeryShortCodesContainer {
    }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Slide_Banner_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Testimonial_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Team_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Cat_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Brand_Item extends WPBakeryShortCode {}
}