<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_map'))
{
    function s7upf_vc_map($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'         =>'default',
            'market'        =>'',
            'zoom'          =>'16',
            'location'      =>'',
            'control'       =>'yes',
            'scrollwheel'   =>'yes',
            'disable_ui'    =>'no',
            'draggable'     =>'yes',
            'width'     =>'100%',
            'height'     =>'500px'
        ),$attr));
        parse_str( urldecode( $location ), $locations);
        $location_text = '';
        foreach ($locations as $values) {
            $location_text .= '|';
            foreach ($values as $value) {
                $location_text .= $value.',';
            }
        }
        $img = array();$img[0]='';
        if($market != '') {
            $img = wp_get_attachment_image_src($market,"full");
        }
        $map_css = 'width:'.$width.';height:'.$height.';max-width-100%;';
        $html .= '<div class="clearfix"></div><div id="st-map" class="'.esc_attr(S7upf_Assets::build_css($map_css)).'" data-location="'.esc_attr($location_text).'" data-market="'.esc_attr($img[0]).'" data-zoom="'.esc_attr($zoom).'" data-style="'.esc_attr($style).'" data-control="'.esc_attr($control).'" data-scrollwheel="'.esc_attr($scrollwheel).'" data-disable_ui="'.esc_attr($disable_ui).'" data-draggable="'.esc_attr($draggable).'"></div>';
        return $html;
    }
}

stp_reg_shortcode('sv_map','s7upf_vc_map');

vc_map( array(
    "name"      => esc_html__("SV GoogleMap", 'kutearts_shop'),
    "base"      => "sv_map",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "holder" => "div",
            "heading" => esc_html__("Map Style",'kutearts_shop'),
            "param_name" => "style",
            'value' => array(
                esc_html__('Default','kutearts_shop') => 'default',
                esc_html__('Grayscale','kutearts_shop') => 'grayscale',
                esc_html__('Blue','kutearts_shop') => 'blue',
                esc_html__('Dark','kutearts_shop') => 'dark',
                esc_html__('Pink','kutearts_shop') => 'pink',
                esc_html__('Light','kutearts_shop') => 'light',
                esc_html__('Blueessence','kutearts_shop') => 'blueessence',
                esc_html__('Bentley','kutearts_shop') => 'bentley',
                esc_html__('Retro','kutearts_shop') => 'retro',
                esc_html__('Cobalt','kutearts_shop') => 'cobalt',
                esc_html__('Brownie','kutearts_shop') => 'brownie'
            ),
        ),
        array(
            "type" => "add_location_map",
            "heading" => esc_html__( "Add Map Location", 'kutearts_shop' ),
            "param_name" => "location",
            "description" => esc_html__( "Click Add more button to add location.", 'kutearts_shop' )
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__( "Map Zoom", 'kutearts_shop' ),
            "param_name" => "zoom",
            "description" => esc_html__( "Enter zoom for map. Default is 16", 'kutearts_shop' ),
        ),
        array(
            'type' => 'attach_image',
            "holder" => "div",
            'heading' => esc_html__( 'Marker Image', 'kutearts_shop' ),
            'param_name' => 'market',
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Map Width', 'kutearts_shop' ),
            'param_name' => 'width',
            "description" => esc_html__( "This is value to set width for map. Unit % or px. Example: 100%,500px. Default is 100%", 'kutearts_shop' )
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Map Height', 'kutearts_shop' ),
            'param_name' => 'height',
            "description" => esc_html__( "This is value to set height for map. Unit % or px. Example: 100%,500px. Default is 500px", 'kutearts_shop' )
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("MapTypeControl",'kutearts_shop'),
            "param_name" => "control",
            'value' => array(
                esc_html__('Yes','kutearts_shop') => 'yes',
                esc_html__('No','kutearts_shop') => 'no',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Scrollwheel",'kutearts_shop'),
            "param_name" => "scrollwheel",
            'value' => array(
                esc_html__('Yes','kutearts_shop') => 'yes',
                esc_html__('No','kutearts_shop') => 'no',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("DisableDefaultUI",'kutearts_shop'),
            "param_name" => "disable_ui",
            'value' => array(
                esc_html__('No','kutearts_shop') => 'no',
                esc_html__('Yes','kutearts_shop') => 'yes',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Draggable",'kutearts_shop'),
            "param_name" => "draggable",
            'value' => array(
                esc_html__('Yes','kutearts_shop') => 'yes',
                esc_html__('No','kutearts_shop') => 'no',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        )
    )
));