<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_header_box'))
{
    function s7upf_vc_header_box($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'search_form'   => 'yes',
            'icon_search'   => 'fa-search',
            'placeholder'   => esc_html__('Enter key word...','kutearts_shop'),
            'minicart'      => 'yes',
            'icon_cart'     => 'fa-shopping-basket',
        ),$attr));
        $html .=    '<div class="search-mini-cart '.$style.'">';
        if($search_form == 'yes'){
            $search_val = get_search_query();
            if(empty($search_val)){
                $search_val = $placeholder;
            }
        $html .=        '<div class="search-hover">
                            <a class="icon-search-hover" href="#"><i class="fa '.esc_attr($icon_search).'" aria-hidden="true"></i></a>';                            
                        ob_start();?>
                            <form class="search-form search-form6" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                                <input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onfocus="if (this.value==this.defaultValue) this.value = ''" onblur="if (this.value=='') this.value = this.defaultValue">
                                <input type="submit" value="<?php echo esc_attr__("Search","kutearts_shop")?>" />
                            </form>
                        <?php
        $html .=            ob_get_clean();
        $html .=        '</div>';
        }
        if($minicart == 'yes'){
        $html .=        '<div class="mini-cart">
                            <a href="'.esc_url(wc_get_cart_url()).'" class="mini-cart-link">
                                <span class="mini-cart-icon"><i class="fa '.$icon_cart.'" aria-hidden="true"></i></span>
                                <span class="mini-cart-number cart-item-count">0</span>
                            </a>
                            <div class="mini-cart-content content-mini-cart">
                                <h2 class="mini-cart-items"><span class="cart-item-count">0</span> '.esc_html__("Items","kutearts_shop").'</h2>
                                <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                   
                                <input id="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                <input id="currency" type="hidden" value=".'.get_option("woocommerce_currency").'">
                            </div>
                        </div>';
        }
        $html .=    '</div>';
        
        return $html;
    }
}

stp_reg_shortcode('sv_header_box','s7upf_vc_header_box');

vc_map( array(
    "name"      => esc_html__("SV Header Box", 'kutearts_shop'),
    "base"      => "sv_header_box",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "dropdown",
            "holder"        => "div",
            "heading"       => esc_html__("Style",'kutearts_shop'),
            "param_name"    => "style",
            "value"         => array(
                    esc_html__("Default",'kutearts_shop')      => '',
                    esc_html__("Style home 3",'kutearts_shop')      => 'search-mini-cart3',
                    esc_html__("Style home 4",'kutearts_shop')      => 'search-mini-cart4',
                    esc_html__("Style home shop 2",'kutearts_shop')      => 'search-mini-cart3 mini-cart7',
                )
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Show search form",'kutearts_shop'),
            "param_name"    => "search_form",
            "value"         => array(
                    esc_html__("Yes",'kutearts_shop')      => 'yes',
                    esc_html__("No",'kutearts_shop')      => 'no',
                )
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Search Icon",'kutearts_shop'),
            "param_name"    => "icon_search",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker'
        ),        
        array(
            "type"          => "textfield",
            "holder"        => "div",
            "heading"       => esc_html__("Place holder input",'kutearts_shop'),
            "param_name"    => "placeholder",
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Show mini cart",'kutearts_shop'),
            "param_name"    => "minicart",
            "value"         => array(
                    esc_html__("Yes",'kutearts_shop')      => 'yes',
                    esc_html__("No",'kutearts_shop')      => 'no',
                )
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Cart Icon",'kutearts_shop'),
            "param_name"    => "icon_cart",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker'
        ),
    )
));