<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
 
/******************************************Core Function******************************************/
//Get option
if(!function_exists('s7upf_get_option')){
	function s7upf_get_option($key,$default=NULL)
    {
        if(function_exists('ot_get_option'))
        {
            return ot_get_option($key,$default);
        }

        return $default;
    }
}

//Add header style
if (!function_exists('s7upf_add_head_style')) {
    function s7upf_add_head_style($style) {
        $content ='<script type="text/javascript">
                    (function($) {
                        "use strict";
                        $("head").append('."'".'<style id="s7upf_add_footer_css">'.$style.'</style>'."'".');
                    })(jQuery);
                    </script>';
        return $content;
    }
}

//Get list header page
if(!function_exists('s7upf_list_header_page'))
{
    function s7upf_list_header_page()
    {
        global $post;
        $page_list = array();
        $page_list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','kutearts_shop')
        );
        $args= array(
        'post_type' => 'page',
        'posts_per_page' => -1, 
        );
        $query = new WP_Query($args);
        if($query->have_posts()): while ($query->have_posts()):$query->the_post();
            if (strpos($post->post_content, '[sv_logo') ||  strpos($post->post_content, '[sv_menu')) {
                $page_list[] = array(
                    'value' => $post->ID,
                    'label' => $post->post_title
                );
            }
            endwhile;
        endif;
        wp_reset_postdata();
        return $page_list;
    }
}

//Get list sidebar
if(!function_exists('s7upf_get_sidebar_ids'))
{
    function s7upf_get_sidebar_ids($for_optiontree=false)
    {
        global $wp_registered_sidebars;
        $r=array();
        $r[]=esc_html__('--Select--','kutearts_shop');
        if(!empty($wp_registered_sidebars)){
            foreach($wp_registered_sidebars as $key=>$value)
            {

                if($for_optiontree){
                    $r[]=array(
                        'value'=>$value['id'],
                        'label'=>$value['name']
                    );
                }else{
                    $r[$value['id']]=$value['name'];
                }
            }
        }
        return $r;
    }
}

//Get order list
if(!function_exists('s7upf_get_order_list'))
{
    function s7upf_get_order_list($current=false,$extra=array(),$return='array')
    {
        $default = array(
            esc_html__('None','kutearts_shop')               => 'none',
            esc_html__('Post ID','kutearts_shop')            => 'ID',
            esc_html__('Author','kutearts_shop')             => 'author',
            esc_html__('Post Title','kutearts_shop')         => 'title',
            esc_html__('Post Name','kutearts_shop')          => 'name',
            esc_html__('Post Date','kutearts_shop')          => 'date',
            esc_html__('Last Modified Date','kutearts_shop') => 'modified',
            esc_html__('Post Parent','kutearts_shop')        => 'parent',
            esc_html__('Random','kutearts_shop')             => 'rand',
            esc_html__('Comment Count','kutearts_shop')      => 'comment_count',
            esc_html__('View Post','kutearts_shop')          => 'post_views',
            esc_html__('Like Post','kutearts_shop')          => '_post_like_count',
            esc_html__('Custom Modified Date','kutearts_shop')=> 'time_update',            
        );

        if(!empty($extra) and is_array($extra))
        {
            $default=array_merge($default,$extra);
        }

        if($return=="array")
        {
            return $default;
        }elseif($return=='option')
        {
            $html='';
            if(!empty($default)){
                foreach($default as $key=>$value){
                    $selected=selected($key,$current,false);
                    $html.="<option {$selected} value='{$key}'>{$value}</option>";
                }
            }
            return $html;
        }
    }
}

// Get sidebar
if(!function_exists('s7upf_get_sidebar'))
{
    function s7upf_get_sidebar()
    {
        $default=array(
            'position'=>'right',
            'id'      =>'blog-sidebar'
        );

        return apply_filters('s7upf_get_sidebar',$default);
    }
}

//Favicon
if(!function_exists('s7upf_load_favicon') )
{
    function s7upf_load_favicon()
    {
        $value = s7upf_get_option('favicon');
        $favicon = (isset($value) && !empty($value))?$value:false;
        if($favicon)
            echo '<link rel="Shortcut Icon" href="' . esc_url( $favicon ) . '" type="image/x-icon" />' . "\n";
    }
}
if(!function_exists( 'wp_site_icon' ) ){
    add_action( 'wp_head','s7upf_load_favicon');
    add_action('login_head', 's7upf_load_favicon');
    add_action('admin_head', 's7upf_load_favicon');
}

//Fill css background
if(!function_exists('s7upf_fill_css_background'))
{
    function s7upf_fill_css_background($data)
    {
        $string = '';
        if(!empty($data['background-color'])) $string .= 'background-color:'.esc_attr($data['background-color']).';'."\n";
        if(!empty($data['background-repeat'])) $string .= 'background-repeat:'.esc_attr($data['background-repeat']).';'."\n";
        if(!empty($data['background-attachment'])) $string .= 'background-attachment:'.esc_attr($data['background-attachment']).';'."\n";
        if(!empty($data['background-position'])) $string .= 'background-position:'.esc_attr($data['background-position']).';'."\n";
        if(!empty($data['background-size'])) $string .= 'background-size:'.esc_attr($data['background-size']).';'."\n";
        if(!empty($data['background-image'])) $string .= 'background-image:url("'.esc_url($data['background-image']).'");'."\n";
        if(!empty($string)) return S7upf_Assets::build_css($string);
        else return false;
    }
}

// Get list menu
if(!function_exists('s7upf_list_menu_name'))
{
    function s7upf_list_menu_name()
    {
        $menu_nav = wp_get_nav_menus();
        $menu_list = array('Default' => '');
        if(is_array($menu_nav) && !empty($menu_nav))
        {
            foreach($menu_nav as $item)
            { 
                if(is_object($item))
                {
                    $menu_list[$item->name] = $item->slug;
                }
            }
        }
        return $menu_list;
    }
}

//Display BreadCrumb
if(!function_exists('s7upf_display_breadcrumb'))
{
    function s7upf_display_breadcrumb()
    {
        $breadcrumb = s7upf_get_value_by_id('sv_show_breadrumb','on');
        if($breadcrumb == 'on'){ 
            $b_class = s7upf_fill_css_background(s7upf_get_option('sv_bg_breadcrumb'));
            ?>            
            <div class="container">
                <div class="bread-crumb <?php echo esc_attr($b_class)?>">
                    <?php 
                        if(function_exists('bcn_display')) bcn_display();
                        else s7upf_breadcrumb();
                    ?>
                </div>
            </div>
        <?php }
    }
}

//Custom BreadCrumb
if(!function_exists('s7upf_breadcrumb'))
{
    function s7upf_breadcrumb() {
        global $post;
        if (!is_home() || (is_home() && !is_front_page())) {
            echo '<a href="'.esc_url(home_url('/')).'"><i class="fa fa-home" aria-hidden="true"></i> '.esc_html__("Home","kutearts_shop").'</a> ';
            if(is_home() && !is_front_page()){
                echo esc_html__('Blog','kutearts_shop'); 
            }
            if (is_category() || is_single()) {
                the_category(' ');
                if (is_single()) {
                    the_title();
                }
            } elseif (is_page()) {
                if($post->post_parent){
                    $anc = get_post_ancestors( get_the_ID() );
                    $title = get_the_title();
                    foreach ( $anc as $ancestor ) {
                        $output = '<a href="'.esc_url(get_permalink($ancestor)).'" title="'.get_the_title($ancestor).'">'.get_the_title($ancestor).'</a> ';
                    }
                    echo balanceTags($output);
                    echo ' '.$title;
                } else {
                    echo ' '.get_the_title();
                }
            }
            elseif (is_tag()) {echo single_tag_title("", false)."</li>";}
            elseif (is_day()) {echo esc_html__("Archive for ","kutearts_shop"); the_time(get_option( 'date_format' ));}
            elseif (is_month()) {echo esc_html__("Archive for ","kutearts_shop"); echo get_the_time('F, Y');}
            elseif (is_year()) {echo esc_html__("Archive for ","kutearts_shop"); echo getthe_time('Y');}
            elseif (is_author()) {echo esc_html__("Author Archive ","kutearts_shop");}
            elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {echo esc_html__("Blog Archives","kutearts_shop");}
            elseif (is_search()) {echo esc_html__("Search Results","kutearts_shop");}
        }
        elseif (is_tag()) {echo single_tag_title("", false)."</li>";}
        elseif (is_day()) {echo esc_html__("Archive for ","kutearts_shop"); the_time(get_option( 'date_format' ));}
        elseif (is_month()) {echo esc_html__("Archive for ","kutearts_shop"); echo get_the_time('F, Y');}
        elseif (is_year()) {echo esc_html__("Archive for ","kutearts_shop"); echo getthe_time('Y');}
        elseif (is_author()) {echo esc_html__("Author Archive ","kutearts_shop");}
        elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {echo esc_html__("Blog Archives","kutearts_shop");}
        elseif (is_search()) {echo esc_html__("Search Results","kutearts_shop");}
    }
}

//Get page value by ID
if(!function_exists('s7upf_get_value_by_id'))
{   
    function s7upf_get_value_by_id($key)
    {
        if(!empty($key)){
            $id = get_the_ID();
            if(is_front_page() && is_home()) $id = (int)get_option( 'page_on_front' );
            if(!is_front_page() && is_home()) $id = (int)get_option( 'page_for_posts' );
            if(is_archive() || is_search()) $id = 0;
            if (class_exists('woocommerce')) {
                if(is_shop()) $id = (int)get_option('woocommerce_shop_page_id');
                if(is_cart()) $id = (int)get_option('woocommerce_cart_page_id');
                if(is_checkout()) $id = (int)get_option('woocommerce_checkout_page_id');
                if(is_account_page()) $id = (int)get_option('woocommerce_myaccount_page_id');
            }
            $value = get_post_meta($id,$key,true);
            if(empty($value)) $value = s7upf_get_option($key);
            return $value;
        }
        else return 'Missing a variable of this funtion';
    }
}

//Check woocommerce page
if (!function_exists('s7upf_is_woocommerce_page')) {
    function s7upf_is_woocommerce_page() {
        if(  function_exists ( "is_woocommerce" ) && is_woocommerce()){
                return true;
        }
        $woocommerce_keys   =   array ( "woocommerce_shop_page_id" ,
                                        "woocommerce_terms_page_id" ,
                                        "woocommerce_cart_page_id" ,
                                        "woocommerce_checkout_page_id" ,
                                        "woocommerce_pay_page_id" ,
                                        "woocommerce_thanks_page_id" ,
                                        "woocommerce_myaccount_page_id" ,
                                        "woocommerce_edit_address_page_id" ,
                                        "woocommerce_view_order_page_id" ,
                                        "woocommerce_change_password_page_id" ,
                                        "woocommerce_logout_page_id" ,
                                        "woocommerce_lost_password_page_id" ) ;
        foreach ( $woocommerce_keys as $wc_page_id ) {
                if ( get_the_ID () == get_option ( $wc_page_id , 0 ) ) {
                        return true ;
                }
        }
        return false;
    }
}

//navigation
if(!function_exists('s7upf_paging_nav'))
{
    function s7upf_paging_nav()
    {
        // Don't print empty markup if there's only one page.
        if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
            return;
        }

        $paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
        $pagenum_link = html_entity_decode( get_pagenum_link() );
        $query_args   = array();
        $url_parts    = explode( '?', $pagenum_link );

        if ( isset( $url_parts[1] ) ) {
            wp_parse_str( $url_parts[1], $query_args );
        }

        $pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
        $pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

        $format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
        $format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'page/%#%', 'paged' ) : '?paged=%#%';

        // Set up paginated links.
        $links = paginate_links( array(
            'base'     => $pagenum_link,
            'format'   => $format,
            'total'    => $GLOBALS['wp_query']->max_num_pages,
            'current'  => $paged,
            'mid_size' => 1,
            'add_args' => array_map( 'urlencode', $query_args ),
            'prev_text' => '<i aria-hidden="true" class="fa fa-angle-left"></i>',
            'next_text' => '<i aria-hidden="true" class="fa fa-angle-right"></i>',
        ) );

        if ($links) : ?>
        <div class="blog-paging">
            <?php echo balanceTags($links); ?>
        </div>
        <?php endif;
    }
}

//Set post view
if(!function_exists('s7upf_set_post_view'))
{
    function s7upf_set_post_view($post_id=false)
    {
        if(!$post_id) $post_id=get_the_ID();

        $view=(int)get_post_meta($post_id,'post_views',true);
        $view++;
        update_post_meta($post_id,'post_views',$view);
    }
}

if(!function_exists('s7upf_get_post_view'))
{
    function s7upf_get_post_view($post_id=false)
    {
        if(!$post_id) $post_id=get_the_ID();

        return (int)get_post_meta($post_id,'post_views',true);
    }
}

//remove attr embed
if(!function_exists('s7upf_remove_w3c')){
    function s7upf_remove_w3c($embed_code){
        $embed_code=str_replace('webkitallowfullscreen','',$embed_code);
        $embed_code=str_replace('mozallowfullscreen','',$embed_code);
        $embed_code=str_replace('frameborder="0"','',$embed_code);
        $embed_code=str_replace('frameborder="no"','',$embed_code);
        $embed_code=str_replace('scrolling="no"','',$embed_code);
        $embed_code=str_replace('&','&amp;',$embed_code);
        return $embed_code;
    }
}

// MetaBox
if(!function_exists('s7upf_display_metabox'))
{
    function s7upf_display_metabox($type ='') {
        switch ($type) {
            case 'blog':
                
                break;

            default:?>
                <div class="list-post-cat">
                    <i class="fa fa-folder-o" aria-hidden="true"></i>
                    <?php $cats = get_the_category_list(' ');?>
                    <?php if($cats) echo balanceTags($cats); else esc_html_e("No Category",'kutearts_shop');?>
                </div>
                <div class="list-post-cat list-post-tags">
                    <i class="fa fa-tags" aria-hidden="true"></i>
                    <?php $tags = get_the_tag_list(' ',' ',' ');?>
                    <?php if($tags) echo balanceTags($tags); else esc_html_e("No Tag",'kutearts_shop');?>
                </div>
                <ul class="post-comment-date">
                    <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span><?php echo get_the_time('M d')?></span></li>
                    <li><a href="<?php echo esc_url( get_comments_link() ); ?>"><i aria-hidden="true" class="fa fa-comment"></i><span><?php echo get_comments_number(); ?></span></a></li>
                </ul>
                <?php
                break;
        }
    ?>        
    <?php
    }
}
if(!function_exists('s7upf_get_header_default')){
    function s7upf_get_header_default(){
        ?>
        <div id="header" class="header-default">
            <div class="header">
                <div class="container">
                    <div class="row">
                        <div class="col-md-2 col-sm-12 col-xs-12">
                            <div class="logo">
                                <a href="<?php echo esc_url(home_url('/'));?>" title="<?php echo esc_attr__("logo","kutearts_shop");?>">
                                    <?php $sv_logo=s7upf_get_option('logo');?>
                                    <?php if($sv_logo!=''){
                                        echo '<h1 class="hidden">'.get_bloginfo('name', 'display').'</h1><img src="' . esc_url($sv_logo) . '" alt="logo">';
                                    }   else { echo '<h1>'.get_bloginfo('name', 'display').'</h1>'; }
                                    ?>
                                </a>
                            </div>
                        </div>
                        <div class="col-md-10 col-sm-12 col-xs-12">
                            <nav class="main-nav">
                                <?php if ( has_nav_menu( 'primary' ) ) {
                                    wp_nav_menu( array(
                                            'theme_location' => 'primary',
                                            'container'=>false,
                                            'walker'=>new S7upf_Walker_Nav_Menu(),
                                            'menu_class'=>'main-menu',
                                         )
                                    );
                                } ?>
                                <a href="#" class="toggle-mobile-menu"><i class="fa fa-list-ul" aria-hidden="true"></i></a>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
    }
}
if(!function_exists('s7upf_get_footer_default')){
    function s7upf_get_footer_default(){
        ?>
        <div id="footer" class="default-footer">            
            <div class="social-copyright">
                <div class="container">
                    <p class="copyright"><?php esc_html_e("Copyright &copy; by 7up. All Rights Reserved. Designed by","kutearts_shop")?> <a href="#"><span><?php esc_html_e("7uptheme","kutearts_shop")?></span>.<?php esc_html_e("com","kutearts_shop")?></a>.</p>
                </div>
            </div>
        </div>
        <?php
    }
}
if(!function_exists('s7upf_get_footer_visual')){
    function s7upf_get_footer_visual($page_id){
        $page_404 = s7upf_get_option('sv_404_page');
        if(!(is_404() && !empty($page_404))){
            ?>
            <div id="footer" class="footer-page">
                <div class="container">
                    <?php echo S7upf_Template::get_vc_pagecontent($page_id);?>
                </div>
            </div>
            <?php
        }
    }
}
if(!function_exists('s7upf_get_header_visual')){
    function s7upf_get_header_visual($page_id){
        $page_404 = s7upf_get_option('sv_404_page');
        if(!(is_404() && !empty($page_404))){
            ?>
            <div id="header" class="header-page">
                <div class="container">
                    <?php echo S7upf_Template::get_vc_pagecontent($page_id);?>
                </div>
            </div>
            <?php
        }
    }
}
if(!function_exists('s7upf_get_main_class')){
    function s7upf_get_main_class(){
        $sidebar=s7upf_get_sidebar();
        $sidebar_pos=$sidebar['position'];
        $main_class = 'col-md-12';
        if($sidebar_pos != 'no') $main_class = 'col-md-8 col-sm-8 col-xs-12';
        return $main_class;
    }
}
if(!function_exists('s7upf_output_sidebar')){
    function s7upf_output_sidebar($position){
        $sidebar = s7upf_get_sidebar();
        $sidebar_pos = $sidebar['position'];
        if($sidebar_pos == $position) get_sidebar();
    }
}
if(!function_exists('s7upf_main_pos')){
    function s7upf_main_pos(){
        $sidebar = s7upf_get_sidebar();
        $sidebar_pos = $sidebar['position'];
        $main_pos = 'no-sidebar';
        if($sidebar_pos == 'left') $main_pos = 'right';
        if($sidebar_pos == 'right') $main_pos = 'left';
        return $main_pos;
    }
}
if(!function_exists('s7upf_fix_import_category')){
    function s7upf_fix_import_category($taxonomy){
        global $s7upf_config;
        $data = $s7upf_config['import_category'];
        if(!empty($data)){
            $data = json_decode($data,true);
            foreach ($data as $cat => $value) {
                $parent_id = 0;
                $term = get_term_by( 'slug',$cat, $taxonomy );
                $term_parent = get_term_by( 'slug', $value['parent'], $taxonomy );
                if(isset($term_parent->term_id)) $parent_id = $term_parent->term_id;
                if($parent_id) wp_update_term( $term->term_id, $taxonomy, array('parent'=> $parent_id) );
                if($value['thumbnail']){
                    if($taxonomy == 'product_cat')  update_metadata( 'woocommerce_term', $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    else{
                        update_term_meta( $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    }
                }
            }
        }
    }
}
if(!function_exists('s7upf_get_cat_post')){
    function s7upf_get_cat_post($cat_class='cat-parent'){
        $terms = wp_get_post_terms( get_the_id(), 'category');
        $term_name = $term_link = $term_html = '';
        if(is_array($terms) && !empty($terms)){
            $term_name = $terms[0]->name;
            $term_link = get_term_link( $terms[0]->term_id, 'category' );            
            $term_html = '<a href="'.esc_url($term_link).'" class="'.$cat_class.'">'.$term_name.'</a>';
        }
        return $term_html;
    }
}
if(!function_exists('s7upf_get_cat_product')){
    function s7upf_get_cat_product($cat_class='cat-parent'){
        $terms = wp_get_post_terms( get_the_id(), 'product_cat');
        $term_name = $term_link = $term_html = '';
        if(is_array($terms) && !empty($terms)){
            $term_name = $terms[0]->name;
            $term_link = get_term_link( $terms[0]->term_id, 'product_cat' );            
            $term_html = '<a href="'.esc_url($term_link).'" class="'.$cat_class.'">'.$term_name.'</a>';
        }
        return $term_html;
    }
}
/***************************************END Core Function***************************************/


/***************************************Add Theme Function***************************************/
// get list taxonomy
if(!function_exists('s7upf_list_taxonomy'))
{
    function s7upf_list_taxonomy($taxonomy,$show_all = true)
    {
        if($show_all) $list = array('--Select--' => '');
        else $list = array();
        if(!isset($taxonomy) || empty($taxonomy)) $taxonomy = 'category';
        $tags = get_terms($taxonomy);
        if(is_array($tags) && !empty($tags)){
            foreach ($tags as $tag) {
                $list[$tag->name] = $tag->slug;
            }
        }
        return $list;
    }
}
if(!function_exists('s7upf_get_sidebar_list')){
    function s7upf_get_sidebar_list(){
        global $wp_registered_sidebars;
        $sidebars = array('--Select--' => '');
        foreach( $wp_registered_sidebars as $id=>$sidebar ) {
          $sidebars[ $sidebar[ 'name' ] ] = $id;
        }
        return $sidebars;
    }
}
//List Post
if(!function_exists('s7upf_get_list_post')){
    function s7upf_get_list_post(){
        $list = array();
        $list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','kutearts_shop')
        );
        $args= array(
        'post_type' => 'post',
        'posts_per_page' => 50, 
        );
        $query = new WP_Query($args);
        global $post;
        if($query->have_posts()): while ($query->have_posts()):$query->the_post();            
            $list[] = array(
                'value' => $post->ID,
                'label' => $post->post_title
            );
            endwhile;
        endif;
        wp_reset_postdata();
        return $list;
    }
}

if(!function_exists('s7upf_footer_single')){
    function s7upf_footer_single($style = ''){        
        global $post;
        $previous_post = get_previous_post();
        $next_post = get_next_post();
        $html =     '<div class="single-social-bar">
                        <div class="signin-social">
                            <a class="fb-social" href="'.esc_url('http://www.facebook.com/sharer.php?u='.get_the_permalink()).'"><i class="fa fa-facebook"></i></a>
                            <a class="tw-social" href="'.esc_url('http://www.twitter.com/share?url='.get_the_permalink()).'"><i class="fa fa-twitter"></i></a>
                            <a class="gp-social" href="'.esc_url('https://plus.google.com/share?url='.get_the_permalink()).'"><i class="fa fa-google-plus"></i></a>
                            <a class="li-social" href="'.esc_url('http://linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'&amp;title='.$post->post_name).'"><i class="fa fa-linkedin"></i></a>
                        </div>
                        <div class="single-nav-control">';
        if(!empty( $previous_post )) $html .=    '<a href="'.esc_url(get_permalink( $previous_post->ID )).'" class="prev-post">'.esc_html__("prev","kutearts_shop").'</a>';
        if(!empty( $next_post )) $html .=    '<a href="'.esc_url(get_permalink( $next_post->ID )).'" class="next-post">'.esc_html__("next","kutearts_shop").'</a>';
        $html .=         '</div>
                    </div>';
        echo balanceTags($html);
    }
}

// Author Box function
if(!function_exists('s7upf_author_box')){
    function s7upf_author_box(){ 
        global $post;
        $des = get_the_author_meta('description');
        if(!empty($des)){
        ?>
            <div class="single-info-author">
                <h2 class="title-default"><?php esc_html_e("About Author","kutearts_shop")?></h2>
                <div class="content-info-author">
                    <div class="info-author-thumb">
                        <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
                            <?php echo get_avatar(get_the_author_meta('email','120')); ?>
                        </a>
                    </div>
                    <div class="info-author-intro">
                        <h3><a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo get_the_author(); ?></a></h3>
                        <p><?php echo get_the_author_meta('description'); ?></p>
                    </div>
                </div>
            </div>
        <?php
        }
    }
}
//get type url
if(!function_exists('s7upf_get_key_url')){
    function s7upf_get_key_url($key,$value){
        if(function_exists('s7upf_get_current_url')) $current_url = s7upf_get_current_url();
        else{
            if(function_exists('woocommerce_get_page_id')) $current_url = get_permalink( woocommerce_get_page_id( 'shop' ) );
            else $current_url = get_permalink();
        }
        if(isset($_GET[$key])){
            $current_url = str_replace('&'.$key.'='.$_GET[$key], '', $current_url);
            $current_url = str_replace('?'.$key.'='.$_GET[$key], '?', $current_url);
        }
        if(strpos($current_url,'?') > -1 ){
            $current_url .= '&amp;'.$key.'='.$value;
        }
        else {
            $current_url .= '?'.$key.'='.$value;
        }
        return $current_url;
    }
}
// Mini cart
if(!function_exists('s7upf_mini_cart')){
    function s7upf_mini_cart($echo = false){
        $html = '';
        if ( ! WC()->cart->is_empty() ){
            $count_item = 0; $html = '';
            $html .=  '<ul class="list-mini-cart-item">';                    
            foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
                $count_item++;
                $_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
                $product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );
                $product_quantity = woocommerce_quantity_input( array(
                    'input_name'  => "cart[{$cart_item_key}][qty]",
                    'input_value' => $cart_item['quantity'],
                    'max_value'   => $_product->backorders_allowed() ? '' : $_product->get_stock_quantity(),
                    'min_value'   => '0'
                ), $_product, false );
                $thumb_html = '';
                if(has_post_thumbnail($product_id)) $thumb_html = $_product->get_image(array(70,70));
                $html .=    '<li class="item-info-cart" data-key="'.$cart_item_key.'">
                                <div class="mini-cart-thumb">
                                    <a href="'.esc_url( $_product->get_permalink( $cart_item )).'">'.$thumb_html.'</a>
                                </div>  
                                <div class="mini-cart-info">
                                    <h3 class="mini-cart-title"><a href="'.esc_url( $_product->get_permalink( $cart_item )).'">'.$_product->get_title().'</a></h3>
                                    <div class="mini-cart-qty qty-product"><label>'.esc_html__("Qty:","kutearts_shop").'</label> <span class="qty-num">'.$cart_item['quantity'].'</span></div>
                                </div>  
                                <div class="mini-cart-remove">
                                    <a class="remove-product btn-remove" href="#"></a>
                                    <span class="mini-cart-price">'.apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key ).'</span>
                                </div>  
                            </li>';
            }
            $html .=    '</ul><input id="count-cart-item" type="hidden" value="'.$count_item.'">';
            $html .=    '<div class="mini-cart-total cart-qty">
                            <label>'.esc_html__("Subtotal","kutearts_shop").'</label>
                            <span class="total-price">'.WC()->cart->get_cart_total().'</span>
                        </div>
                        <div class="mini-cart-button">
                            <a href="'.esc_url(wc_get_cart_url()).'" class="mini-cart-edit">'.esc_html__("Edit Cart","kutearts_shop").'</a>
                            <a href="'.esc_url(wc_get_checkout_url()).'" class="mini-cart-checkout">'.esc_html__("Checkout","kutearts_shop").'</a>
                        </div>';
        }
        else $html .= '<h5 class="mini-cart-head">'.esc_html__("No Product in your cart.","kutearts_shop").'</h5>';
        if($echo) echo balanceTags($html);
        else return $html;
    }
}
//product main detail
if(!function_exists('s7upf_product_main_detai')){
    function s7upf_product_main_detai($ajax = false){
        global $post, $product, $woocommerce;
        s7upf_set_post_view();
        $thumb_id = array(get_post_thumbnail_id());
        $attachment_ids = $product->get_gallery_image_ids();
        $attachment_ids = array_merge($thumb_id,$attachment_ids);
        $ul_block = $pager_html = $ul_block2 = ''; $i = 1;
        $thumb_style = s7upf_get_value_by_id('product_thumb_style');        
        foreach ( $attachment_ids as $attachment_id ) {
            $image_link = wp_get_attachment_url( $attachment_id );
            if ( ! $image_link )
                continue;
            $image_title    = esc_attr( get_the_title( $attachment_id ) );
            $image_caption  = esc_attr( get_post_field( 'post_excerpt', $attachment_id ) );
            $image       = wp_get_attachment_image( $attachment_id, 'full', 0, $attr = array(
                'title' => $image_title,
                'alt'   => $image_title
                ) );
            $image_pager  = wp_get_attachment_image( $attachment_id, array(100,100), 0, $attr = array(
                'title' => $image_title,
                'alt'   => $image_title
                ) );
            if($i == 1) $active = 'active';
            else $active = '';
            $page_index = $i-1;
            $ul_block .= '<li>'.$image.'</li>';
            $pager_html .=  '<li>'.$image.'</li>';
            $i++;
        }
        $available_data = array();
        if( $product->is_type( 'variable' ) ) $available_data = $product->get_available_variations();        
        if(!empty($available_data)){
            foreach ($available_data as $available) {
                if(!empty($available['image_id'])){
                    $image2 = wp_get_attachment_image( $available['image_id'], 'full', 0, $attr = array(
                        'title' => $image_title,
                        'alt'   => $image_title
                        ) );
                    $pager_html2 = wp_get_attachment_image( $available['image_id'], array(100,100), 0, $attr = array(
                        'title' => $image_title,
                        'alt'   => $image_title
                        ) );
                    $page_index = $i-1;
                    $ul_block .= '<li data-variation_id="'.$available['variation_id'].'">'.$image2.'</li>';
                    $pager_html .=  '<li data-variation_id="'.$available['variation_id'].'" data-slide-index="'.$page_index.'" href="#">'.$pager_html2.'</li>';
                    $i++;
                }
            }
        }
        $thumb_html =   '<div class="detail-gallery">
                            <div id="slider" class="flexslider">
                                <ul class="slides">
                                    '.$ul_block.'
                                </ul>
                            </div>
                            <div id="carousel" class="flexslider">
                                <ul class="slides">
                                    '.$pager_html.'
                                </ul>
                            </div>
                        </div>';
        $sku = get_post_meta(get_the_ID(),'_sku',true);
        $stock = get_post_meta(get_the_ID(),'_stock_status',true);
        $sidebar = s7upf_get_sidebar();$side_class = '';
        if($sidebar['position'] != 'no'){
            $side_class = 'has-sidebar';
        }
        echo        '<div class="product-detail">
                        <h2 class="title-detail">'.get_the_title().'</h2>
                        <div class="row">
                            <div class="col-md-6 col-sm-12 col-xs-12">
                                '.$thumb_html.'
                            </div>
                            <div class="col-md-6 col-sm-12 col-xs-12">
                                <div class="detail-info">
                                    '.s7upf_get_price_html().'
                                    <p class="product-desc">'.get_the_excerpt().'</p>
                                    '.s7upf_get_rating_html();
                                    woocommerce_template_single_add_to_cart();                                    
        echo                        s7upf_get_product_detail_link();
        echo                    '</div>
                            </div>
                        </div>
                    </div>';
    }
}
if(!function_exists('s7upf_get_rating_html')){
    function s7upf_get_rating_html($count = false,$style = ''){
        global $product;
        $html = '';
        $star = $product->get_average_rating();
        $review_count = $product->get_review_count();
        $width = $star / 5 * 100;
        $html .=    '<div class="product-rating '.$style.'">
                        <div class="inner-rating" style="width:'.$width.'%;"></div>';
        if($count) $html .= '<span>('.$review_count.'s)</span>';
        $html .=    '</div>';
        return $html;
    }
}
if(!function_exists('s7upf_get_price_html')){
    function s7upf_get_price_html(){
        global $product;
        $html = '';
        $html .=    $product->get_price_html();
        return $html;
    }
}
//Compare URL
if(!function_exists('s7upf_compare_url')){
    function s7upf_compare_url(){
        $cp_link = "#";
        if(class_exists('YITH_Woocompare_Frontend')){
            $compare = new YITH_Woocompare_Frontend();
            $cp_link = $compare->add_product_url( get_the_ID());
            $html = '<a href="'.esc_url($cp_link).'" class="product-compare compare compare-link" data-product_id="'.get_the_ID().'"><i class="fa fa-clone" aria-hidden="true"></i><span>'.esc_html__("Compare","kutearts_shop").'</span></a>';
            return $html;
        }
    }
}
if(!function_exists('s7upf_get_product_link')){
    function s7upf_get_product_link($style = ''){
        global $product;
        $html = $html_wl = '';
        switch ($style) {
            case 'home6':
                $button_html =  apply_filters( 'woocommerce_loop_add_to_cart_link',
                    sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="%s product_type_%s">%s</a>',
                        esc_url( $product->add_to_cart_url() ),
                        esc_attr( $product->get_id() ),
                        esc_attr( $product->get_sku() ),
                        esc_attr( isset( $quantity ) ? $quantity : 1 ),
                        $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button addcart-link shop-button' : 'addcart-link shop-button',
                        esc_attr( $product->get_type() ),
                        esc_html( $product->add_to_cart_text() )
                    ),
                $product );
                if(class_exists('YITH_WCWL_Init')) $html_wl = '<a href="'.esc_url(str_replace('&', '&amp;',add_query_arg( 'add_to_wishlist', get_the_ID() ))).'" class="add_to_wishlist wishlist-link" rel="nofollow" data-product-id="'.get_the_ID().'"><i class="fa fa-heart-o" aria-hidden="true"></i><span>'.esc_html__("Wishlist","kutearts_shop").'</span></a>';
                $html .=    '<div class="product-extra-link extra-link-home6 product">
                                '.$button_html.'
                                '.$html_wl.'
                                '.s7upf_compare_url().'
                            </div>';
                break;
            
            default:
                $button_html =  apply_filters( 'woocommerce_loop_add_to_cart_link',
                    sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="%s product_type_%s"><i class="fa fa-shopping-basket" aria-hidden="true"></i><span>%s</span></a>',
                        esc_url( $product->add_to_cart_url() ),
                        esc_attr( $product->get_id() ),
                        esc_attr( $product->get_sku() ),
                        esc_attr( isset( $quantity ) ? $quantity : 1 ),
                        $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button addcart-link' : 'addcart-link',
                        esc_attr( $product->get_type() ),
                        esc_html( $product->add_to_cart_text() )
                    ),
                $product );
                if(class_exists('YITH_WCWL_Init')) $html_wl = '<a href="'.esc_url(str_replace('&', '&amp;',add_query_arg( 'add_to_wishlist', get_the_ID() ))).'" class="add_to_wishlist wishlist-link" rel="nofollow" data-product-id="'.get_the_ID().'"><i class="fa fa-heart-o" aria-hidden="true"></i><span>'.esc_html__("Wishlist","kutearts_shop").'</span></a>';
                $html .=    '<div class="product-extra-link product">
                                '.$button_html.'
                                '.$html_wl.'
                                '.s7upf_compare_url().'
                            </div>';
                break;
        }        
        return $html;
    }
}
if(!function_exists('s7upf_get_product_thumb')){
    function s7upf_get_product_thumb($size){
        $html = '';
        $html .=    '<div class="product-thumb">
                        <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                        <a data-product-id="'.get_the_id().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link"><i class="fa fa-search" aria-hidden="true"></i></a>
                    </div>';        
        return $html;
    }
}
if(!function_exists('s7upf_get_product_detail_link')){
    function s7upf_get_product_detail_link(){
        global $post;
        $html = $html_wl = '';        
        if(class_exists('YITH_WCWL_Init')) $html_wl = '<a href="'.esc_url(str_replace('&', '&amp;',add_query_arg( 'add_to_wishlist', get_the_ID() ))).'" class="add_to_wishlist wishlist-link" rel="nofollow" data-product-id="'.get_the_ID().'"><i class="fa fa-heart-o" aria-hidden="true"></i><span>'.esc_html__("Wishlist","kutearts_shop").'</span></a>';
        $html .=    '<div class="detail-extra-link product">
                        '.$html_wl.'
                        '.s7upf_compare_url().'
                        <div class="share-social-product">
                            <a href="#" class="share-link"><i class="fa fa-share-alt" aria-hidden="true"></i></a>
                            <ul class="list-social-product">
                                <li><a href="'.esc_url('http://www.facebook.com/sharer.php?u='.get_the_permalink()).'"><i class="fa fa-facebook"></i></a></li>
                                <li><a href="'.esc_url('http://www.twitter.com/share?url='.get_the_permalink()).'"><i class="fa fa-twitter"></i></a></li>
                                <li><a href="'.esc_url('http://linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'&amp;title='.$post->post_name).'"><i class="fa fa-linkedin"></i></a></li>
                                <li><a href="'.esc_url('http://pinterest.com/pin/create/button/?url='.get_the_permalink().'&amp;media='.wp_get_attachment_url(get_post_thumbnail_id())).'"><i class="fa fa-pinterest"></i></a></li>
                                <li><a href="'.esc_url('https://plus.google.com/share?url='.get_the_permalink()).'"><i class="fa fa-google-plus"></i></a></li>
                            </ul>
                        </div>
                    </div>';
        return $html;
    }
}
if(!function_exists('s7upf_single_upsell_product'))
{
    function s7upf_single_upsell_product()
    {
        $check_show = s7upf_get_value_by_id('show_single_upsell');
        $number = s7upf_get_value_by_id('show_single_number');
        if(!$number) $number = 6;
        if($check_show == 'on' || $check_show == 'yes'){
            global $product;
            $upsells = $product->get_upsell_ids();
            ?>  
            <div class="upsell-product">
                <h2 class="title-default"><?php esc_html_e("Upsell Products","kutearts_shop")?></h2>
                <div class="upsell-product-slider product-grid">
                    <div class="wrap-item">
                    <?php
                        $meta_query = WC()->query->get_meta_query();
                        $args = array(
                            'post_type'           => 'product',
                            'ignore_sticky_posts' => 1,
                            'no_found_rows'       => 1,
                            'posts_per_page'      => $number,
                            'post__in'            => $upsells,
                            'post__not_in'        => array( $product->get_id() ),
                            'meta_query'          => $meta_query
                        );
                        $products = new WP_Query( $args );
                        if ( $products->have_posts() ) :
                            while ( $products->have_posts() ) : 
                                $products->the_post();                                  
                                global $product;
                                echo    '<div class="item-upsell">
                                            <div class="product-item">
                                                '.s7upf_get_product_thumb(array(353,236)).'
                                                <div class="product-info">
                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_price_html().'
                                                    '.s7upf_get_product_link().'
                                                    '.s7upf_get_rating_html().'
                                                </div>
                                            </div>
                                        </div>';
                    ?>
                    
                    <?php   endwhile;
                        endif;
                        wp_reset_postdata();
                    ?>
                    </div>
                </div>
            </div>
        <?php
        }
    }
}
if(!function_exists('s7upf_single_lastest_product'))
{
    function s7upf_single_lastest_product()
    {
        $check_show = s7upf_get_value_by_id('show_single_lastest');
        $number = s7upf_get_value_by_id('show_single_number');
        if(!$number) $number = 6;
        if($check_show == 'on' || $check_show == 'yes'){
            global $product;
            ?>  
            <div class="upsell-product">
                <h2 class="title-default"><?php esc_html_e("Recent Products","kutearts_shop")?></h2>
                <div class="upsell-product-slider product-grid">
                    <div class="wrap-item">
                    <?php
                        $args = array(
                            'post_type'           => 'product',
                            'ignore_sticky_posts' => 1,
                            'posts_per_page'      => $number,
                            'post__not_in'        => array( $product->get_id() ),
                            'orderby'             => 'date'
                        );
                        $products = new WP_Query( $args );
                        if ( $products->have_posts() ) :
                            while ( $products->have_posts() ) : 
                                $products->the_post();                                  
                                global $product;
                                echo    '<div class="item-upsell">
                                            <div class="product-item">
                                                '.s7upf_get_product_thumb(array(353,236)).'
                                                <div class="product-info">
                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_price_html().'
                                                    '.s7upf_get_product_link().'
                                                    '.s7upf_get_rating_html().'
                                                </div>
                                            </div>
                                        </div>';
                    ?>
                    
                    <?php   endwhile;
                        endif;
                        wp_reset_postdata();
                    ?>
                    </div>
                </div>
            </div>
        <?php
        }
    }
}
if(!function_exists('s7upf_single_relate_product'))
{
    function s7upf_single_relate_product()
    {
        global $product;
        $check_show = s7upf_get_value_by_id('show_single_relate');
        $number = s7upf_get_value_by_id('show_single_number');
        if(!$number) $number = 6;
        $related = wc_get_related_products($product->get_id(),$number);
        if($check_show == 'on' || $check_show == 'yes'){
            global $product;
            ?>  
            <div class="upsell-product">
                <h2 class="title-default"><?php esc_html_e("Relate Products","kutearts_shop")?></h2>
                <div class="upsell-product-slider product-grid">
                    <div class="wrap-item">
                    <?php
                        $args = array(
                            'post_type'           => 'product',
                            'ignore_sticky_posts'  => 1,
                            'no_found_rows'        => 1,
                            'posts_per_page'       => $number,                                    
                            'orderby'              => 'ID',
                            'post__in'             => $related,
                            'post__not_in'         => array( $product->get_id() )
                        );
                        $products = new WP_Query( $args );
                        if ( $products->have_posts() ) :
                            while ( $products->have_posts() ) : 
                                $products->the_post();                                  
                                global $product;
                                echo    '<div class="item-upsell">
                                            <div class="product-item">
                                                '.s7upf_get_product_thumb(array(353,236)).'
                                                <div class="product-info">
                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_price_html().'
                                                    '.s7upf_get_product_link().'
                                                    '.s7upf_get_rating_html().'
                                                </div>
                                            </div>
                                        </div>';
                    ?>
                    
                    <?php   endwhile;
                        endif;
                        wp_reset_postdata();
                    ?>
                    </div>
                </div>
            </div>
        <?php
        }
    }
}
if(!function_exists('s7upf_substr')){
    function s7upf_substr($string='',$start=0,$end=1){
        $output = '';
        if(!empty($string)){
            if($end < strlen($string)){
                if($string[$end] != ' '){
                    for ($i=$end; $i < strlen($string) ; $i++) { 
                        if($string[$i] == ' ' || $string[$i] == '.' || $i == strlen($string)-1){
                            $end = $i;
                            break;
                        }
                    }
                }
            }
            $output = substr($string,$start,$end);
        }
        return $output;
    }
}
//get type url
if(!function_exists('s7upf_get_filter_url')){
    function s7upf_get_filter_url($key,$value){
        if(function_exists('s7upf_get_current_url')) $current_url = s7upf_get_current_url();
        else{
            if(function_exists('woocommerce_get_page_id')) $current_url = get_permalink( woocommerce_get_page_id( 'shop' ) );
            else $current_url = get_permalink();
        }
        if(isset($_GET[$key])){
            $current_val_string = $_GET[$key];
            if($current_val_string == $value){
                $current_url = str_replace('&'.$key.'='.$_GET[$key], '', $current_url);
                $current_url = str_replace('?'.$key.'='.$_GET[$key], '?', $current_url);
            }
            $current_val_key = explode(',', $current_val_string);
            $val_encode = str_replace(',', '%2C', $current_val_string);
            if(!empty($current_val_string)){
                if(!in_array($value, $current_val_key)) $current_val_key[] = $value;
                else{
                    $pos = array_search($value, $current_val_key);
                    unset($current_val_key[$pos]);
                }            
                $new_val_string = implode('%2C', $current_val_key);
                $current_url = str_replace($key.'='.$val_encode, $key.'='.$new_val_string, $current_url);
                if (strpos($current_url, '?') == false) $current_url = str_replace('&','?',$current_url);
            }
            else $current_url = str_replace($key.'=', $key.'='.$value, $current_url);     
        }
        else{
            if(strpos($current_url,'?') > -1 ){
                $current_url .= '&amp;'.$key.'='.$value;
            }
            else {
                $current_url .= '?'.$key.'='.$value;
            }
        }
        return $current_url;
    }
}
if(!function_exists('s7upf_get_list_attribute')){
    function s7upf_get_list_attribute($current){
        $html='';
        global $wpdb;
        $attribute_taxonomies = wc_get_attribute_taxonomies();
        if(!empty($attribute_taxonomies)){
            foreach($attribute_taxonomies as $attr){
                $selected=selected($attr->attribute_name,$current,false);
                $html.="<option {$selected} value='{$attr->attribute_name}'>{$attr->attribute_label}</option>";
            }
        }
        return $html;
    }
}
if(!function_exists('s7upf_get_list_attribute')){
    function s7upf_getPostLikeLink( $post_id ) {
        $output = '';
        return $output;
    }
}
if ( ! function_exists( 's7upf_get_google_link' ) ) {
    function s7upf_get_google_link() {
        $protocol = is_ssl() ? 'https' : 'http';
        $fonts_url = '';
        $fonts  = array(
                    'Poppins:400,700,300,500'
                );
        if ( $fonts ) {
            $fonts_url = add_query_arg( array(
                'family' => urlencode( implode( '|', $fonts ) ),
            ), $protocol.'://fonts.googleapis.com/css' );
        }

        return $fonts_url;
    }
}
if ( ! function_exists( 's7upf_map_add_css_animation' ) ) {
    function s7upf_map_add_css_animation( $param_name = 'animation' ) {
        $data = array(
            'type' => 'animation_style',
            'heading' => esc_html__( 'CSS Animation', 'kutearts_shop' ),
            'param_name' => $param_name,
            'settings' => array(
                'type' => 'in',
                'custom' => array(
                    array(
                        'label' => esc_html__( 'Default', 'kutearts_shop' ),
                        'values' => array(
                            esc_html__( 'Top to bottom', 'kutearts_shop' ) => 'top-to-bottom',
                            esc_html__( 'Bottom to top', 'kutearts_shop' ) => 'bottom-to-top',
                            esc_html__( 'Left to right', 'kutearts_shop' ) => 'left-to-right',
                            esc_html__( 'Right to left', 'kutearts_shop' ) => 'right-to-left',
                            esc_html__( 'Appear from center', 'kutearts_shop' ) => 'appear',
                        ),
                    ),
                ),
            ),
            'description' => esc_html__( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'kutearts_shop' ),
        );

        return apply_filters( 's7upf_map_add_css_animation', $data);
    }
}
if(!function_exists('s7upf_get_product_taxonomy')){
    function s7upf_get_product_taxonomy($taxonomy = 'product_cat') {    
        $result = array();
        $tags = get_terms($taxonomy);
        if(is_array($tags) && !empty($tags)){
            foreach ($tags as $tag) {
                $list[$tag->name] = $tag->slug;
                $result[] = array(
                    'value' => $tag->slug,
                    'label' => $tag->name,
                );
            }
        }
        return $result;
    }
}
/***************************************END Theme Function***************************************/
