<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
if(!class_exists('S7upf_ListPostsWidget'))
{
    class S7upf_ListPostsWidget extends WP_Widget {


        protected $default=array();

        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }

        static function _add_widget()
        {
            register_widget( 'S7upf_ListPostsWidget' );
        }

        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('SV List Posts','kutearts_shop'),
                array( 'description' => esc_html__( 'Lists Posts', 'kutearts_shop' ), ));

            $this->default=array(
                'title'             => esc_html__('List Posts','kutearts_shop'),
                'style'             => '',
                'posts_per_page'    => 6,
                'type_post'         => '',
                'category'          => array(),
                'order'             => 'desc',
                'order_by'          => 'ID',
            );
        }



        function widget( $args, $instance ) {
            // Widget output
            echo balancetags($args['before_widget']);
            if ( ! empty( $instance['title'] ) ) {
               echo balancetags($args['before_title']) . apply_filters( 'widget_title', $instance['title'] ). $args['after_title'];
            }
            $instance = wp_parse_args($instance,$this->default);
            extract($instance);
            $args_post = array(
                'post_type'         => 'post',
                'posts_per_page'    => $posts_per_page,
                'orderby'           => $order_by,
                'order'             => $order,
            );
            if($order_by == 'post_views'){
                $args_post['orderby'] = 'meta_value_num';
                $args_post['meta_key'] = 'post_views';
            }
            if($order_by == 'time_update'){
                $args_post['orderby'] = 'meta_value';
                $args_post['meta_key'] = 'time_update';
            }
            if($order_by == '_post_like_count'){
                $args_post['orderby'] = 'meta_value_num';
                $args_post['meta_key'] = '_post_like_count';
            }
            if(!empty($category)) {
                $args_post['tax_query']['relation'] = 'AND';
                $args_post['tax_query'][]=array(
                    'taxonomy'  => 'category',
                    'field'     => 'slug',
                    'terms'     => $category
                );
            }
            if(!empty($type_post)) {
                if($type_post == 'trending'){
                    $args_post['meta_query']['relation'] = 'OR';
                    $args_post['meta_query'][] = array(
                            'key'     => 'trending_post',
                            'value'   => 'on',
                            'compare' => '=',
                        );
                }
                if($type_post == 'featured'){
                    $args_post['meta_query']['relation'] = 'OR';
                    $args_post['meta_query'][] = array(
                            'key'     => 'featured_post',
                            'value'   => 'on',
                            'compare' => '=',
                        );
                }
            }

            $query = new WP_Query($args_post);
            $count = 1;
            $count_query = $query->post_count;
            switch ($style) {
                case 'tab-cat':
                    if(!empty($category)){
                        if(is_string($category)) $tabs = explode(",",$category);
                        else $tabs = $category;
                        $tab_html = $tab_content = '';
                        if(is_array($tabs)){
                            foreach ($tabs as $key => $tab) {
                                $term = get_term_by( 'slug',$tab, 'category' );
                                if(!empty($term) && is_object($term)){
                                    if($key == 0) $active = 'active';
                                    else $active = '';
                                    $tab_html .=    '<li class="'.$active.'"><a href="'.esc_url('#'.$term->slug).'" data-toggle="tab" aria-expanded="true">'.$term->name.'</a></li>';
                                    $tab_content .=    '<div role="tabpanel" class="tab-pane fade in '.$active.'" id="'.$term->slug.'">
                                                            <ul class="list-mega-latest list-post-tab-sidebar">';
                                    unset($args_post['tax_query']);
                                    $args_post['tax_query'][]=array(
                                        'taxonomy'=>'category',
                                        'field'=>'slug',
                                        'terms'=> $tab
                                    );
                                    $post_query = new WP_Query($args_post);
                                    $count = 1;
                                    $count_query = $post_query->post_count;
                                    if($post_query->have_posts()) {
                                        while($post_query->have_posts()) {
                                            $post_query->the_post();
                                            if($count % 2 == 1){
                                                $tab_content .=    '<li>
                                                                        <div class="post-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(130,120)).'</a></div>
                                                                        <div class="post-info">
                                                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                                            <ul class="post-comment-date">
                                                                                <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                                                <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                                                            </ul>
                                                                        </div>
                                                                    </li>';
                                            }
                                            else{
                                                $tab_content .=    '<li>
                                                                        <div class="post-info">
                                                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                                            <ul class="post-comment-date">
                                                                                <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                                                <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                                                            </ul>
                                                                        </div>
                                                                        <div class="post-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(130,120)).'</a></div>
                                                                    </li>'; 
                                            }
                                            $count++;
                                        }
                                    }
                                    $tab_content .=         '</ul>
                                                        </div>';
                                }
                            }
                        }
                        echo   '<div class="widget-tab-cat">
                                    <ul class="wg-tab-cat-title">
                                        '.$tab_html.'
                                    </ul>
                                    <div class="tab-content">
                                        '.$tab_content.'
                                    </div>
                                </div>';
                    }
                    break;

                case 'slider':
                    echo    '<div class="owl-paginav owl-paginav-default widget-trending">
                                <div class="wrap-item">';
                    if($query->have_posts()) {
                        while($query->have_posts()) {
                            $query->the_post();
                            echo    '<div class="item-post-trending">
                                        <div class="post-thumb">
                                            <div class="zoom-image">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(330,220)).'</a>
                                            </div>
                                        </div>
                                        <div class="post-info">
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                        </div>
                                    </div>';
                        }
                    }
                    echo        '</div>
                            </div>';
                    break;
                
                default:
                    echo    '<div class="item-mega-latest">
                                <ul class="list-mega-latest">';
                    if($query->have_posts()) {
                        while($query->have_posts()) {
                            $query->the_post();
                            echo    '<li>
                                        <div class="post-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(130,120)).'</a></div>
                                        <div class="post-info">
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            <ul class="post-comment-date">
                                                <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                            </ul>
                                        </div>
                                    </li>';
                        }
                    }
                    echo        '</ul>
                            </div>';
                    break;
            }
            wp_reset_postdata();
            echo balancetags($args['after_widget']);
        }

        function update( $new_instance, $old_instance ) {

            // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);

            return $new_instance;
        }

        function form( $instance ) {
            // Output admin widget options form

            $instance=wp_parse_args($instance,$this->default);

            extract($instance);

            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:' ,'kutearts_shop'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>"><?php esc_html_e( 'Post Number:' ,'kutearts_shop'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'posts_per_page' )); ?>" type="text" value="<?php echo esc_attr( $posts_per_page ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'style' )); ?>"><?php esc_html_e( 'Style:' ,'kutearts_shop'); ?></label>
                <select class="widefat" id="<?php echo esc_attr($this->get_field_id( 'style' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'style' )); ?>">
                    <option <?php selected('',$style) ?> value=""><?php esc_html_e("Normal","kutearts_shop")?></option>
                    <option <?php selected('slider',$style) ?> value="slider"><?php esc_html_e("Slider","kutearts_shop")?></option>
                    <option <?php selected('tab-cat',$style) ?> value="tab-cat"><?php esc_html_e("Tab Categories","kutearts_shop")?></option>
                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'type_post' )); ?>"><?php esc_html_e( 'Type post:' ,'kutearts_shop'); ?></label>
                <select class="widefat" id="<?php echo esc_attr($this->get_field_id( 'type_post' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'type_post' )); ?>">
                    <option <?php selected('',$type_post) ?> value=""><?php esc_html_e("Default","kutearts_shop")?></option>
                    <option <?php selected('trending',$type_post) ?> value="trending"><?php esc_html_e("Trending","kutearts_shop")?></option>
                    <option <?php selected('featured',$type_post) ?> value="featured"><?php esc_html_e("Featured","kutearts_shop")?></option>
                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'order_by' )); ?>"><?php esc_html_e( 'Order By:' ,'kutearts_shop'); ?></label>

                <select class="widefat" id="<?php echo esc_attr($this->get_field_id( 'order_by' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'order_by' )); ?>">
                    <?php echo s7upf_get_order_list($order_by,array('post_view'=>esc_html__('Post View','kutearts_shop')),'option');?>
                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'order' )); ?>"><?php esc_html_e( 'Order:' ,'kutearts_shop'); ?></label>

                <select class="widefat" id="<?php echo esc_attr($this->get_field_id( 'order' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'order' )); ?>">
                    <option <?php selected('asc',$order) ?> value="asc"><?php esc_html_e("ASC","kutearts_shop")?></option>
                    <option <?php selected('desc',$order) ?> value="desc"><?php esc_html_e("DESC","kutearts_shop")?></option>
                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'category' )); ?>"><?php esc_html_e( 'Category:' ,'kutearts_shop'); ?></label></br>

                <?php
                $cats = s7upf_list_taxonomy('category',false);
                if(!empty($cats)){
                    foreach($cats as $name => $slug){
                        if(in_array($slug, $category)) $checked = 'checked="checked"';
                        else $checked = '';
                        echo '<input '.$checked.' id="'.esc_attr($this->get_field_id( 'category' )).'" type="checkbox" name="'.esc_attr($this->get_field_name( 'category' )).'[]" value="'.$slug.'"><span>'.$name.'</span>';
                    }
                }
                else echo esc_html__("No any attribute.","kutearts_shop");
                ?>
            </p>


        <?php
        }
    }

    S7upf_ListPostsWidget::_init();

}
