(function($){
    "use strict"; // Start of use strict  
    /*==============================
        Is mobile
    ==============================*/
    var isMobile = {
        Android: function() {
            return navigator.userAgent.match(/Android/i);
        },
        BlackBerry: function() {
            return navigator.userAgent.match(/BlackBerry/i);
        },
        iOS: function() {
            return navigator.userAgent.match(/iPhone|iPad|iPod/i);
        },
        Opera: function() {
            return navigator.userAgent.match(/Opera Mini/i);
        },
        Windows: function() {
            return navigator.userAgent.match(/IEMobile/i);
        },
        any: function() {
            return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
        }
    }
    function afterAction(){
		this.$elem.find('.owl-item').removeClass('active');
		this.$elem.find('.owl-item').eq(this.owl.currentItem).addClass('active');
		this.$elem.find('.owl-item').each(function(){
			var check = $(this).hasClass('active');
			if(check==true){
				$(this).find('.animated').each(function(){
					var anime = $(this).attr('data-animated');
					$(this).addClass(anime);
				});
			}else{
				$(this).find('.animated').each(function(){
					var anime = $(this).attr('data-animated');
					$(this).removeClass(anime);
				});
			}
		})
	}
	//Slider Background
	function background(){
		$('.bg-slider .item-slider').each(function(){
			var src=$(this).find('.banner-thumb a img').attr('src');
			$(this).find('.banner-thumb a img').css('height',$(this).find('.banner-thumb a img').attr('height'));
			$(this).css('background-image','url("'+src+'")').addClass('bg-ready');
		});	
	}
	function s7upf_all_slider(seff,number){
    	if(!seff) seff = $('.smart-slider');
    	if(!number) number = '';
    	//Carousel Slider
		if(seff.length>0){
			seff.each(function(){
				var seff = $(this);
				var item = seff.attr('data-item'+number);
				var speed = seff.attr('data-speed');
				var itemres = seff.attr('data-itemres'+number);
				var text_prev = seff.attr('data-prev');
				var text_next = seff.attr('data-next');
				var pagination = seff.attr('data-pagination');
				var navigation = seff.attr('data-navigation');
				var autoplay;
				if(speed === undefined) speed = '';
				if(speed != '') autoplay = speed;
				else autoplay = false;
				if(item == '' || item === undefined) item = 1;
				if(itemres === undefined) itemres = '';
				if(text_prev == 'false') text_prev = '';
				else{
					if(text_prev == '' || text_prev === undefined) text_prev = '<i class="fa fa-angle-left" aria-hidden="true"></i>';
					else text_prev = '<i class="fa '+text_prev+'" aria-hidden="true"></i>';
				}
				if(text_next == 'false') text_next = '';
				else{
					if(text_next == '' || text_next === undefined) text_next = '<i class="fa fa-angle-right" aria-hidden="true"></i>';
					else text_next = '<i class="fa '+text_next+' aria-hidden="true"></i>';
				}
				if(pagination == 'true') pagination = true;
				else pagination = false;
				if(navigation == 'true') navigation = true;
				else navigation = false;
				// Item responsive
				if(itemres == '' || itemres === undefined){
					if(item == '1') itemres = '0:1,480:1,768:1,1200:1';
					if(item == '2') itemres = '0:1,480:1,768:2,1200:2';
					if(item == '3') itemres = '0:1,480:2,768:2,992:3';
					if(item == '4') itemres = '0:1,480:2,840:3,1200:4';
					if(item >= '5') itemres = '0:1,480:2,768:3,1200:'+item;
				}				
				itemres = itemres.split(',');
				var i;
				for (i = 0; i < itemres.length; i++) { 
				    itemres[i] = itemres[i].split(':');
				}
				seff.owlCarousel({
					items: item,
					itemsCustom: itemres,
					autoPlay:autoplay,
					pagination: pagination,
					navigation: navigation,
					navigationText:[text_prev,text_next],
					addClassActive : true,
					touchDrag: true,
					// autoHeight:true,
					// afterAction: afterAction,
				});
			});			
		}
    }
	function fixed_header(){
        var menu_element;
        menu_element = $('.main-menu:not(.menu-fixed-content)').closest('.vc_row');
        if($('.menu-fixed-enable').length > 0 && $(window).width()>1024){           
            var menu_class = $('.main-menu').attr('class');
            var header_height = $("#header").height()+100;
            var ht = header_height + 150;
            var st = $(window).scrollTop();

            if(!menu_element.hasClass('header-fixed') && menu_element.attr('data-vc-full-width') == 'true') menu_element.addClass('header-fixed');
            if(st>header_height){               
                if(menu_element.attr('data-vc-full-width') == 'true'){
                    if(st > ht) menu_element.addClass('active');
                    else menu_element.removeClass('active');
                    menu_element.addClass('fixed-header');
                }
                else{
                    if(st > ht) menu_element.parent().parent().addClass('active');
                    else menu_element.parent().parent().removeClass('active');
                    if(!menu_element.parent().parent().hasClass('fixed-header')){
                        menu_element.wrap( "<div class='menu-fixed-content fixed-header "+menu_class+"'><div class='container'></div></div>" );
                    }
                }
            }
            else{
                menu_element.removeClass('active');
                if(menu_element.attr('data-vc-full-width') == 'true') menu_element.removeClass('fixed-header');
                else{
                    if(menu_element.parent().parent().hasClass('fixed-header')){
                        menu_element.unwrap();
                        menu_element.unwrap();
                    }
                }
            }
        }
        else{
            menu_element.removeClass('active');
            if(menu_element.attr('data-vc-full-width') == 'true') menu_element.removeClass('fixed-header');
            else{
                if(menu_element.parent().parent().hasClass('fixed-header')){
                    menu_element.unwrap();
                    menu_element.unwrap();
                }
            }
        }
    }
    
	$(document).ready(function(){		
		$('.icon-search-hover').on('click',function(){
			$(this).parent().toggleClass('open');
		})
		fixed_header();
		$('.share-social > a').on('click',function(event){
			event.preventDefault();
		});
		//Menu Responsive
		$('body').on('click',function(event){
			if($(window).width()<768){
				$('.main-nav>ul').slideUp('slow');
			}
		});
		$('.toggle-mobile-menu').on('click',function(event){
			if($(window).width()<768){
				event.preventDefault();
				event.stopPropagation();
				$('.main-nav>ul').slideToggle('slow');
			}
		});
		$('.main-nav li.menu-item-has-children:not(.has-mega-menu)>a').on('click',function(event){
			if($(window).width()<768){
				event.preventDefault();
				event.stopPropagation();
				$(this).next().toggleClass('active');
			}
		});
		$('.sidebar-item-megamenu').each(function(){
			var content = $(this).html();
			$(this).next().find('> .sub-menu').append(content);
			$(this).remove();
		})
		// variable product
        if($('.attr-filter-color').length > 0){
            $('.attr-filter ul li').live('click',function(){
                event.preventDefault();
                $(this).parents('ul').find('li').removeClass('active');
                $(this).addClass('active');
                var attribute = $(this).attr('data-attribute');
                var id = $(this).parents('ul').attr('data-attribute-id');
                $('#'+id).val(attribute);
                $('#'+id).trigger( 'change' );
                $('#'+id).trigger( 'focusin' );
                return false;
            })
            $('.attr-hover-box').hover(function(){
                var seff = $(this);
                var old_html = $(this).find('ul').html().trim();
                var current_val = $(this).find('ul li.active').attr('data-attribute');
                $(this).next().find('select').trigger( 'focusin' );
                var content = '';
                $(this).next().find('select').find('option').each(function(){
                    var val = $(this).attr('value');
                    var title = $(this).html();
                    var el_class = '';
                    if(current_val == val) el_class = ' active';
                    if(val != ''){
                        if(seff.hasClass('attr-color')) content += '<li data-attribute="'+val+'" class="color-'+val+el_class+'"></li>';
                        else content += '<li'+el_class+' data-attribute="'+val+'"><a href="#">'+title+'</a></li>';
                    }
                })
                if(old_html != content) $(this).find('ul').html(content);
            })
            $('body .reset_variations').live('click',function(){
                $('.attr-hover-box').each(function(){
                    var seff = $(this);
                    var old_html = $(this).find('ul').html();
                    var current_val = $(this).find('ul li.active').attr('data-attribute');
                    $(this).next().find('select').trigger( 'focusin' );
                    var content = '';
                    $(this).next().find('select').find('option').each(function(){
                        var val = $(this).attr('value');
                        var title = $(this).html();
                        var el_class = '';
                        if(current_val == val) el_class = ' class="active"';
                        if(val != ''){
	                        if(seff.hasClass('attr-color')) content += '<li data-attribute="'+val+'" class="color-'+val+el_class+'"></li>';
	                        else content += '<li'+el_class+' data-attribute="'+val+'"><a href="#">'+title+'</a></li>';
	                    }
                    })
                    if(old_html != content) $(this).find('ul').html(content);
                    $(this).find('ul li').removeClass('active');
                })
            })
        }
        //end
        //Fix product variable thumb
        $('body .variations_form select').live('change',function(){         
            var id = $('input[name="variation_id"]').val();
            if(id){
                $('.flexslider').find('.slides').find('li[data-variation_id="'+id+'"]').trigger( 'click' );
            }
        })
		//Gallery
		$('.gallery-link').fancybox({
			openEffect  : 'none',
			closeEffect : 'none',

			prevEffect : 'none',
			nextEffect : 'none',

			closeBtn  : false,

			helpers : {
				title : {
					type : 'inside'
				},
				buttons	: {}
			},
			afterLoad : function() {
				this.title = 'Image ' + (this.index + 1) + ' of ' + this.group.length + (this.title ? ' - ' + this.title : '');
			}
		});
		//Mini cart
			//Count item cart
			if($("#count-cart-item").length){
				var count_cart_item = $("#count-cart-item").val();
				$(".cart-item-count").html(count_cart_item);
			}
			if($(".get-count-cart-item")){
				var count_cart_item = $(".get-count-cart-item").val();
				$(".number-cart-total").html(count_cart_item);
			}
		//End mini cart
		//Upsell Product
		if($('.upsell-product-slider').length>0){
			$('.upsell-product-slider').each(function(){
				$(this).find('.wrap-item').owlCarousel({
					items: 1,
					itemsCustom: [ 
					[0, 1], 
					[480, 2], 
					[768, 2], 
					[992, 2], 
					[1200, 3] 
					],
					pagination: false,
					navigation: true,
					navigationText:['<i class="fa fa-angle-left" aria-hidden="true"></i>','<i class="fa fa-angle-right" aria-hidden="true"></i>']
				});
			});
		}
		//QUANTITY CLICK
		$(".quantity").find(".qty-up").on("click",function(){
            var min = $(this).prev().attr("data-min");
            var max = $(this).prev().attr("data-max");
            var step = $(this).prev().attr("data-step");
            if(step === undefined) step = 1;
            if(max !==undefined && Number($(this).prev().val())< Number(max) || max === undefined){ 
                if(step!='') $(this).prev().val(Number($(this).prev().val())+Number(step));
            }            
            $( 'div.woocommerce > form .button[name="update_cart"]' ).prop( 'disabled', false );
            return false;
        })
        $(".quantity").find(".qty-down").on("click",function(){
            var min = $(this).next().attr("data-min");
            var max = $(this).next().attr("data-max");
            var step = $(this).next().attr("data-step");
            if(step === undefined) step = 1;
            if(Number($(this).next().val()) > 1){
	            if(min !==undefined && $(this).next().val()>min || min === undefined){
	                if(step!='') $(this).next().val(Number($(this).next().val())-Number(step));
	            }
	        }
            $( 'div.woocommerce > form .button[name="update_cart"]' ).prop( 'disabled', false );
	        return false;
        })
        $("input.qty-val").on("keyup change",function(){
        	var max = $(this).attr('data-max');
        	if( Number($(this).val()) > Number(max) ) $(this).val(max);
            $( 'div.woocommerce > form .button[name="update_cart"]' ).prop( 'disabled', false );
        })
		//END
		//Detail Gallery
		if($('.detail-gallery').length>0){	
			$('.detail-gallery #carousel').flexslider({
				animation: "slide",
				controlNav: false,
				animationLoop: false,
				slideshow: false,
				itemWidth: 70,
				itemMargin: 10,
				minItems: 3,
				maxItems: 4,
				prevText: '<i class="fa fa-angle-left" aria-hidden="true"></i>',
				nextText: '<i class="fa fa-angle-right" aria-hidden="true"></i>',
				asNavFor: '#slider',
			});
			 
			$('.detail-gallery #slider').flexslider({
				animation: "slide",
				controlNav: false,
				directionNav: false,
				mousewheel: false,
				animationLoop: false,
				slideshow: false,
				sync: "#carousel"
			});
		}
		// Fix price html
		$('.product-price').each(function(){
            var sale_price = $(this).find('del').html();
            if(sale_price){
                $(this).find('del').remove();
                $(this).append('<del>'+sale_price+'</del>');
            }
        })

		//Share Social
		$('.share-social').on('mouseover',function(){
			$(this).parent().addClass('onhover');
		});
		$('.share-social').on('mouseout',function(){
			$(this).parent().removeClass('onhover');
		});

		//Fix mailchimp
		$('.newsletter-form').each(function(){
			var placeholder = $(this).attr('data-placeholder');
			var submit = $(this).attr('data-submit');
			if(placeholder) $(this).find('input[name="EMAIL"]').attr('placeholder',placeholder);
			if(submit) $(this).find('input[type="submit"]').val(submit);
		})
					
	});

	$(window).load(function(){
		//Day Countdown
		if($('.days-countdown').length>0){
			$(".days-countdown").TimeCircles({
				fg_width: 0.05,
				bg_width: 0,
				text_size: 0,
				circle_bg_color: "transparent",
				time: {
					Days: {
						show: true,
						text: "Day",
						color: "#fff"
					},
					Hours: {
						show: true,
						text: "Hou",
						color: "#fff"
					},
					Minutes: {
						show: true,
						text: "Min",
						color: "#fff"
					},
					Seconds: {
						show: true,
						text: "Sec",
						color: "#fff"
					}
				}
			}); 
		}
	
		s7upf_all_slider();
		//Carousel Slider
		if($('.sv-slider').length>0){
			$('.sv-slider').each(function(){
				var seff = $(this);
				var item = seff.attr('data-item');
				var speed = seff.attr('data-speed');
				var itemres = seff.attr('data-itemres');
				var animation = seff.attr('data-animation');
				var nav = seff.attr('data-nav');
				var text_prev = seff.attr('data-prev');
				var text_next = seff.attr('data-next');
				var pagination = false, navigation= true, singleItem = false;
				var autoplay;
				if(speed != '') autoplay = speed;
				else autoplay = false;
				// Navigation
				if(nav == 'nav-hidden'){
					pagination = false;
					navigation= false;
				}
				if(nav == 'banner-slider7 bg-slider'){
					pagination = true;
					navigation = true;
				}
				if(nav == 'banner-slider3 owl-paginav' || nav == 'testimonial-slider'){
					pagination = true;
					navigation= false;
				}
				if(animation != ''){
					singleItem = true;
					item = '1';
				}
				var prev_text = '<i class="fa fa-angle-left" aria-hidden="true"></i>';
				var next_text = '<i class="fa fa-angle-right" aria-hidden="true"></i>';
				if(nav == 'banner-slider2 owl-directnav'){
					var prev_text = text_prev;
					var next_text = text_next;
				}			
				// Item responsive
				if(itemres == '' || itemres === undefined || itemres.split(',').length < 4){
					if(item == '1') itemres = '1,1,1,1';
					if(item == '2') itemres = '1,1,2,2';
					if(item == '3') itemres = '1,1,2,3';
					if(item == '4') itemres = '1,1,2,4';
					if(item >= '5') itemres = '1,2,3,5';
				}
				itemres = itemres.split(',');
				seff.owlCarousel({
					items: item,
					itemsCustom: [ 
					[0, itemres[0]], 
					[360, itemres[0]], 
					[480, itemres[1]], 
					[768, itemres[2]], 
					[992, itemres[3]], 
					[1200, item] 
					],
					autoPlay:autoplay,
					pagination: pagination,
					navigation: navigation,
					navigationText:[prev_text,next_text],
					singleItem : singleItem,
					beforeInit:background,
					// addClassActive : true,
					afterAction: afterAction,
					transitionStyle : animation
				});
			});			
		}

		//Owl Category Featured
		if($('.owl-directnav.category-featured').length>0){
			$('.owl-directnav.category-featured').each(function(){
				$(this).find('.wrap-item').owlCarousel({
					items: 5,
					itemsCustom: [ 
					[0, 1], 
					[480, 1], 
					[568, 2], 
					[768, 2], 
					[992, 3], 
					[1200, 4], 
					[1920, 5] 
					],
					pagination: false,
					navigation: true,
					navigationText:['<i class="fa fa-angle-left" aria-hidden="true"></i>','<i class="fa fa-angle-right" aria-hidden="true"></i>']
				});
			});
		}

		//Home Gallery
		if($('.gallery-slider-home').length>0){
			$('.gallery-slider-home #carousel').flexslider({
				animation: "slide",
				controlNav: false,
				animationLoop: false,
				slideshow: false,
				itemWidth: 380,
				itemMargin: 10,
				minItems: 3,
				maxItems: 3,
				prevText: '<i class="fa fa-angle-left" aria-hidden="true"></i>',
				nextText: '<i class="fa fa-angle-right" aria-hidden="true"></i>',
				asNavFor: '#slider',
			});
			 
			$('.gallery-slider-home #slider').flexslider({
				animation: "slide",
				controlNav: false,
				directionNav: false,
				mousewheel: false,
				animationLoop: false,
				slideshow: false,
				sync: "#carousel"
			});
		}
		//Owl Pagi Nav
		if($('.owl-paginav-default').length>0){
			$('.owl-paginav-default').each(function(){
				if($(this).hasClass('auto-slider')) var autoplay = 5000;
				else var autoplay = false;
				$(this).find('.wrap-item').owlCarousel({
					items: 1,
					itemsCustom: [ 
					[0, 1], 
					[480, 1], 
					[768, 1], 
					[992, 1], 
					[1200, 1] 
					],
					autoPlay: autoplay,
					addClassActive:true,
					pagination: true,
					navigation: false,
					autoHeight: true,
				});
			});
		}
		//Single Gallery
		if($('.single-gallery-slider').length>0){
			$('.single-gallery-slider .bxslider').bxSlider({
				pagerCustom: '.single-gallery-slider .bx-pager',
				prevText:'<i class="fa fa-angle-left" aria-hidden="true"></i>',
				nextText:'<i class="fa fa-angle-right" aria-hidden="true"></i>',
			});
		}
		//Owl Pagi Nav
		if($('.mega-featured-news').length>0){
			$('.mega-featured-news').each(function(){
				$(this).find('.wrap-item').owlCarousel({
					items: 2,
					itemsCustom: [ 
					[0, 1], 
					[480, 1], 
					[768, 1], 
					[992, 2], 
					[1200, 2] 
					],
					pagination: true,
					navigation: false
				});
			});
		}
        $("#header").css('min-height','');
		if($(window).width()>1024){
            $("#header").css('min-height',$("#header").height());
            fixed_header();
        }
        else{
            $("#header").css('min-height','');
        }
	});
	/* ---------------------------------------------
     Scripts resize
     --------------------------------------------- */
    $(window).resize(function(){
    	if($(window).width() >= 768) $('.main-nav>ul').slideDown();
        $("#header").css('min-height','');
        fixed_header();
    });
    /* ---------------------------------------------
     Scripts scroll
     --------------------------------------------- */
    $(window).scroll(function(){    	
        fixed_header();
        if($(window).width()>1024){
        	var min_height = $("#header").css('min-height');
            if(min_height == '0px') $("#header").css('min-height',$("#header").height());
        }
        else{
            $("#header").css('min-height','');
        }
    });

})(jQuery);