<?php
/**
 * The template for displaying all single posts.
 *
 * @package 7up-framework
 */
?>
<?php get_header();?>
    <div id="main-content"  class="main-content-home blog-default list-post-default">
        <?php s7upf_display_breadcrumb()?>
        <div class="container">
            <div class="row">
                <?php s7upf_output_sidebar('left')?>
                <div class="<?php echo esc_attr(s7upf_get_main_class()); ?>">
                    <?php
                    $bg_class = '';
                    $bg_color = s7upf_get_value_by_id('main_bg');
                    if(!empty($bg_color)) $bg_class = S7upf_Assets::build_css('background:'.$bg_color.';');
                    ?>
                    <div class="content-<?php echo esc_attr(s7upf_main_pos())?> <?php echo esc_attr($bg_class)?> content-single">
                        <?php
                        while ( have_posts() ) : the_post();
                            s7upf_set_post_view();
                            $single_style = get_post_meta(get_the_ID(), 's7upf_single_style', true);
                            /*
                            * Include the post format-specific template for the content. If you want to
                            * use this in a child theme, then include a file called called content-___.php
                            * (where ___ is the post format) and that will be used instead.
                            */
                            get_template_part( 's7upf_templates/single-content/content',get_post_format() );
                            wp_link_pages( array(
                                'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'kutearts_shop' ),
                                'after'  => '</div>',
                                'link_before' => '<span>',
                                'link_after'  => '</span>',
                            ) );
                            s7upf_footer_single();
                            s7upf_author_box();
                            if ( comments_open() || get_comments_number() ) { comments_template(); }
                            if($single_style == 'content-offset') echo '</div></div>';
                           
                        endwhile; ?>
                    </div>
                </div>
                <?php s7upf_output_sidebar('right')?>
            </div>
        </div>
    </div>
<?php get_footer();?>