<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $product;
// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

// Increase loop count
$woocommerce_loop['loop']++;
?>
<?php
	$type = 'grid';
    if(isset($_GET['type'])){
        $type = $_GET['type'];
    }
?>
<?php if($type == 'list'){?>
	<li class="col-md-12 col-sm-12 col-xs-12">
		<?php 
		echo 	'<div class="product-item">
					<div class="row">
						<div class="col-md-6 col-sm-12 col-xs-12">
							'.s7upf_get_product_thumb(array(570,380)).'
						</div>
						<div class="col-md-6 col-sm-12 col-xs-12">
							<div class="product-info">
								<h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
								'.s7upf_get_price_html().'
								<p class="product-desc">'.get_the_excerpt().'</p>
								'.s7upf_get_rating_html().'
								'.s7upf_get_product_link().'
							</div>
						</div>
					</div>
				</div>';
		?>		
	</li>
<?php }
	else{
		$b_col = 12;$col = 4;$size = array(353,236);
		$col_option = $woocommerce_loop['columns'];
		if(isset($_GET['column'])){
	        $col_option = $_GET['column'];
	    }
		if(!empty($col_option)) $col = $b_col/(int)$col_option;
		if($col_option == 2) $size = array(353*1.5,236*1.5);
		if($col_option == 1) $size = 'full';
		if(is_cart()) $col = 6;
	?>
	<li class="col-md-<?php echo esc_attr($col)?> col-sm-6 col-xs-12">
		<?php 
			echo 	'<div class="product-item">
						'.s7upf_get_product_thumb($size).'
						<div class="product-info">
							<h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
							'.s7upf_get_price_html().'
							'.s7upf_get_product_link().'
							'.s7upf_get_rating_html().'
						</div>
					</div>';
		?>		
	</li>
<?php }?>