<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */

add_action('admin_init', 's7upf_custom_meta_boxes');
if(!function_exists('s7upf_custom_meta_boxes')){
    function s7upf_custom_meta_boxes(){
        //Format content
        $format_metabox_post = array(
            'id' => 'block_format_content',
            'title' => esc_html__('Post Settings', 'worldnews'),
            'desc' => '',
            'pages' => array('post'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(
                array(
                    'label' => esc_html__('Format setting','worldnews'),
                    'id' => 'mb_format_setting',
                    'type' => 'tab'
                ),
                array(
                    'id' => 'format_gallery',
                    'label' => esc_html__('Add Gallery', 'worldnews'),
                    'type' => 'Gallery',
                    'desc' => esc_html__('Create gallery image for gallery format','worldnews')
                ),
                array(
                    'id' => 'format_media',
                    'label' => esc_html__('Link Media', 'worldnews'),
                    'type' => 'text',
                    'desc' => esc_html__('Get link video(audio) in youtube, vimeo, soundclound, share host,... then input a link media. Note: Share host: there are 3 supported video formats mp4, ogg, webm ','worldnews')
                ),

                array(
                    'id' => 'mb_layout_setting',
                    'label' => esc_html__('Layout setting','worldnews'),
                    'type' => 'tab'
                ),
                array(
                    'id'          => 's7upf_header_page',
                    'label'       => esc_html__( 'Header Page', 'worldnews' ),
                    'desc'        => esc_html__( 'Include page to Header', 'worldnews' ),
                    'type'        => 'select',
                    'section'     => 'option_general',
                    'choices'     => s7upf_list_post_type('s7upf_header')
                ),
                array(
                    'id'          => 's7upf_top_posts_page',
                    'label'       => esc_html__( 'Top Posts Page', 'worldnews' ),
                    'desc'        => esc_html__( 'Include page to Top Posts', 'worldnews' ),
                    'type'        => 'select',
                    'section'     => 'option_general',
                    'choices'     => s7upf_list_post_type('s7upf_top_posts')
                ),
                array(
                    'id'          => 's7upf_footer_page',
                    'label'       => esc_html__( 'Footer Page', 'worldnews' ),
                    'desc'        => esc_html__( 'Include page to Footer', 'worldnews' ),
                    'type'        => 'select',
                    'section'     => 'option_general',
                    'choices'     => s7upf_list_post_type('s7upf_footer')
                ),
                array(
                    'id'          => 's7upf_sidebar_position',
                    'label'       => esc_html__('Sidebar position ','worldnews'),
                    'type'        => 'select',
                    'std' => '',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','worldnews'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('No Sidebar','worldnews'),
                            'value'=>'no'
                        ),
                        array(
                            'label'=>esc_html__('Left sidebar','worldnews'),
                            'value'=>'left'
                        ),
                        array(
                            'label'=>esc_html__('Right sidebar','worldnews'),
                            'value'=>'right'
                        ),
                    ),

                ),
                array(
                    'id'        =>'s7upf_select_sidebar',
                    'label'     =>esc_html__('Selects sidebar','worldnews'),
                    'type'      =>'sidebar-select',
                    'condition' => 's7upf_sidebar_position:not(no),s7upf_sidebar_position:not()',
                ),
            ),
        );
        $format_metabox_page = array(
            'id' => 'block_format_content',
            'title' => esc_html__('Page Settings', 'worldnews'),
            'desc' => '',
            'pages' => array('page'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(
                array(
                    'label' => esc_html__('General setting','worldnews'),
                    'id' => 'mb_general_setting',
                    'type' => 'tab'
                ),
                array(
                    'id'          => 's7upf_header_page',
                    'label'       => esc_html__( 'Header Page', 'worldnews' ),
                    'desc'        => esc_html__( 'Include page to Header', 'worldnews' ),
                    'type'        => 'select',
                    'section'     => 'option_general',
                    'choices'     => s7upf_list_post_type('s7upf_header')
                ),
                array(
                    'id'          => 's7upf_footer_page',
                    'label'       => esc_html__( 'Footer Page', 'worldnews' ),
                    'desc'        => esc_html__( 'Include page to Footer', 'worldnews' ),
                    'type'        => 'select',
                    'section'     => 'option_general',
                    'choices'     => s7upf_list_post_type('s7upf_footer')
                ),
            ),
        );
        
        
        if (function_exists('ot_register_meta_box')){
            ot_register_meta_box($format_metabox_post);
            ot_register_meta_box($format_metabox_page);
        }
    }
}
?>