<?php
/**
 * Created by Sublime text 3.
 * User: 7utheme
 * Date: 07/2017
 */
if(!function_exists('s7upf_vc_blog'))
{
    function s7upf_vc_blog($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'number'        => '5',
            'sv_excerpt'    => '20',
            'cats'          => '',
            'order'         => '',
            'order_by'      => '',
            'grid_option'   => '',
            'pagination'    => 'on',
            'image_size'    => '',
        ),$attr));
        $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
        $args=array(
            'post_type'     => 'post',
            'posts_per_page'=> $number,
            'orderby'       => $order_by,
            'order'         => $order,
            'paged'         => $paged,
            'post_status'   => 'publish',
        );
        if($order_by == 'post_views'){
            $args['orderby']    = 'meta_value_num';
            $args['meta_key']   = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby']    = 'meta_value';
            $args['meta_key']   = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby']    = 'meta_value_num';
            $args['meta_key']   = '_post_like_count';
        }
        if(!empty($cats)) {
            $custom_list        = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'  =>'category',
                'field'     =>'slug',
                'terms'     => $custom_list
            );
        }
        $query = new WP_Query($args);
        $max_page = $query->max_num_pages;
        ob_start();
        if($query->have_posts()) {
            $html .= S7upf_Template::load_view('elements/blog',false,array(
                'query'         => $query,
                'style'         => $style,
                'sv_excerpt'    => $sv_excerpt,
                'grid_option'   => $grid_option,
                'pagination'    => $pagination,
                'paged'         => $paged,
                'image_size'    => $image_size,
            ));
        }
        $html .= ob_get_clean();
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_blog','s7upf_vc_blog');
vc_map( array(
    "name"      => esc_html__("SV Blog", 'worldnews'),
    "base"      => "sv_blog",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Style",'worldnews'),
            "param_name"    => "style",
            "value"         => array(
                esc_html__("Default (List)",'worldnews')    => '',
                esc_html__("Grid",'worldnews')              => 'grid',
            )
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Grid column",'worldnews'),
            "param_name"    => "grid_option",
            'dependency'    => array(
                'element'   => 'style',
                'value'     => array('grid'),
            ),
            "value"         => array(
                esc_html__("Default (One column)",'worldnews')  => '',
                esc_html__("Two column",'worldnews')            => 'col-sm-6',
                esc_html__("Three column",'worldnews')          => 'col-sm-4',
            ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Number post",'worldnews'),
            "param_name"    => "number",
            'description'   => esc_html__( 'Number of post display in this element. Default is 10.', 'worldnews' ),
        ),       
        array(
            'holder'            => 'div',
            'heading'           => esc_html__( 'Categories', 'worldnews' ),
            'type'              => 'checkbox',
            'param_name'        => 'cats',
            'value'             => s7upf_list_taxonomy('category',false),
            'edit_field_class'  => 'vc_col-sm-12 vc_column s7upf-category-option',
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order By",'worldnews'),
            "param_name"    => "order_by",
            "value"         => s7upf_get_order_list(),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order",'worldnews'),
            "param_name"    => "order",
            "value"         => array(
                esc_html__('Desc','worldnews') => 'DESC',
                esc_html__('Asc','worldnews')  => 'ASC',
            ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Excerpt length",'worldnews'),
            "param_name" => "sv_excerpt",
            'description'   => esc_html__( 'This allows you to change the number of words in the excerpt (Default: 20 words).', 'worldnews' ),
        ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Show paginaiton', 'worldnews' ),
            'param_name'    => 'pagination',
            'admin_label'   => true,
            'value' => array(
                esc_html__('Show','worldnews') => 'on',
                esc_html__('Hide','worldnews') => 'off',
            ),
        ), 
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'worldnews'),
            'param_name' => 'image_size',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
        ),
    )
));
