<?php
/**
 * Created by Sublime Text 3
 * User: 7uptheme
 * Date: 04/08/2017
 * Time: 10:37
 */
if(!function_exists('s7upf_vc_brand'))
{
    function s7upf_vc_brand($attr,$content = false)
    {
        $html = $title = '';
        extract(shortcode_atts(array(
            'title'             => '',
            'add_item_brand'    => '',
            'image'             => '',
            'image_size'        => '',
            'link'              => '',
            ),$attr));
        $image_size = s7upf_get_size_image('full',$image_size);
        if(isset($add_item_brand)) $data_item_brand = vc_param_group_parse_atts($add_item_brand);
        if(!empty($data_item_brand) and is_array($data_item_brand)) {
            $html .='<div class="brands-home3">
            <b>'.esc_attr($title).'</b>
            <ul>';
                foreach ($data_item_brand as $value) {
                    $link = '';
                    if (!empty($value['link'])) $link = vc_build_link($value['link']);
                    if (!empty($value['image'])) {
                        $html .='<li><a href="';
                        $html .= (!empty($link['url'])) ? esc_url($link['url']) : '#';
                        $html .='">';
                        $html .= wp_get_attachment_image($value['image'],$image_size);
                        $html .='</a></li>';
                    }
                }
                $html .='</ul>
            </div>';
        }
        return $html;
    }
}

stp_reg_shortcode('s7upf_brand','s7upf_vc_brand');
vc_map(
    array(
        "name"      => esc_html__("SV Brand", 'worldnews'),
        "base"      => "s7upf_brand",
        "icon"      => "icon-st",
        "category"  => '7Up-theme',
        "params"    => array(
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Title', 'worldnews' ),
                'param_name' => 'title',
                ),
            array(
                'type' => 'param_group',
                'heading' => esc_html__('Add brand item', 'worldnews'),
                'param_name' => 'add_item_brand',
                'value' =>'',
                'params' => array(
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__( 'Image', 'worldnews' ),
                        'param_name' => 'image',
                        'description' => esc_html__('Select image from library.','worldnews'),
                        ),
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__( 'Link item', 'worldnews' ),
                        'param_name' => 'link',
                        ),
                    ),
                'callbacks' => array(
                    'after_add' => 'vcChartParamAfterAddCallback'
                    ),
                ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Custom image size', 'worldnews'),
                'param_name' => 'image_size',
                'edit_field_class' => 'vc_column vc_col-sm-12',
                'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
                ),
            )
        )
    );