<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 24/07/17
 * Time: 03:07 PM
 */

if(!function_exists('s7upf_vc_link'))
{
	function s7upf_vc_link($attr,$content = false)
	{
		$html = '';
		extract(shortcode_atts(array(
			'style'			=> '',
			'current_date'	=> 'off',
			'show_label'	=> 'off',
			'label_content'	=> '',
			'label_link'	=> '',
			'show_separator'=> 'off',
			'chose_color'	=> 'dark',
			'text_transform'=> 'normal',
			'add_item_link'	=> '',
			'title'			=> '',
			'title_link'	=> '#',
            'custom_css'    => '',
			),$attr));
		
		if(isset($add_item_link))
			$data_link = vc_param_group_parse_atts($add_item_link);
		$html .= S7upf_Template::load_view('elements/link',false,array(
			'style' 		=> $style,
			'current_date' 	=> $current_date,
			'show_label'	=> $show_label,
			'label_content'	=> $label_content,
			'label_link'	=> $label_link,
			'show_separator'=> $show_separator,
			'chose_color'	=> $chose_color,
			'text_transform'=> $text_transform,
			'data_link' 	=> $data_link,
			'title'			=> $title,
			'title_link'	=> $title_link,
            'custom_css'    => $custom_css,
			));
		return $html;
	}
}

stp_reg_shortcode('s7upf_link','s7upf_vc_link');
vc_map(
	array(
		"name"      => esc_html__("SV Link", 'worldnews'),
		"base"      => "s7upf_link",
		"icon"      => "icon-st",
		"category"  => '7Up-theme',
		"params"    => array(
			array(
				'type' 			=> 'dropdown',
				'admin_label' 	=> true,
				'heading' 		=> esc_html__( 'Style', 'worldnews' ),
				'param_name' 	=> 'style',
				'description' 	=> esc_html__('Select style', 'worldnews'),
				'value' 		=> array(
					esc_html__('Default (Horizontal)','worldnews')=>'',
					esc_html__('Style 1','worldnews')=>'style1',
					esc_html__('Style 2','worldnews')=>'style2',
					esc_html__('Style 3','worldnews')=>'style3',
					esc_html__('Style 4','worldnews')=>'style4',
					esc_html__('Style 5','worldnews')=>'style5',
					esc_html__('Style 6','worldnews')=>'style6',
					esc_html__('Vertical with title','worldnews')=>'style9',
					esc_html__('Vertical bold','worldnews')=>'style10',
					),
				),
			array(
				'type'	 		=> 'textfield',
				'heading' 		=> esc_html__( 'Title', 'worldnews' ),
				'param_name' 	=> 'title',
				'admin_label' 	=> true,
				'dependency'    =>array(
					'element'   =>'style',
					'value'     =>array('style9'),
					),
				),
			array(
				'type'	 		=> 'textfield',
				'heading' 		=> esc_html__( 'Link', 'worldnews' ),
				'param_name' 	=> 'title_link',
				'admin_label' 	=> true,
				'dependency'    =>array(
					'element'   =>'style',
					'value'     =>array('style9'),
					),
				),
			array(
				"type" 			=> "dropdown",
				'admin_label' 	=> true,
				"heading" 		=> esc_html__("Show date",'worldnews'),
				"param_name" 	=> "current_date",
				"value"     	=> array(
					esc_html__("Off",'worldnews')   => 'off',
					esc_html__("On",'worldnews')   => 'on',
					),
				'dependency'    =>array(
					'element'   =>'style',
					'value'     =>array(''),
					),
				),
			array(
				"type" 			=> "dropdown",
				'admin_label' 	=> true,
				"heading" 		=> esc_html__("Show label",'worldnews'),
				"param_name" 	=> "show_label",
				"value"     	=> array(
					esc_html__("Off",'worldnews')   => 'off',
					esc_html__("On",'worldnews')   => 'on',
					),
				'dependency'    =>array(
					'element'   =>'style',
					'value'     =>array('style1', 'style4'),
					),
				),
			array(
				'type'	 		=> 'textfield',
				'heading' 		=> esc_html__( 'Label content', 'worldnews' ),
				'param_name' 	=> 'label_content',
				'admin_label' 	=> true,
				'description' 	=> esc_html__('Enter content','worldnews'),
				'dependency'    =>array(
					'element'   =>'show_label',
					'value'     =>array('on'),
					),
				),
			array(
				'type'	 		=> 'textfield',
				'heading' 		=> esc_html__( 'Label link', 'worldnews' ),
				'param_name' 	=> 'label_link',
				'admin_label' 	=> true,
				'description' 	=> esc_html__('Enter url','worldnews'),
				'dependency'    =>array(
					'element'   =>'show_label',
					'value'     =>array('on'),
					),
				),
			array(
				"type" 			=> "dropdown",
				'admin_label' 	=> true,
				"heading" 		=> esc_html__("Show separator",'worldnews'),
				"param_name" 	=> "show_separator",
				"value"     	=> array(
					esc_html__("Off",'worldnews')   => 'off',
					esc_html__("On",'worldnews')   => 'on',
					),
				'dependency'    =>array(
					'element'   =>'style',
					'value'     =>array(),
					),
				),
			array(
				"type" 			=> "dropdown",
				'admin_label' 	=> true,
				"heading" 		=> esc_html__("Color",'worldnews'),
				"param_name" 	=> "chose_color",
				"value"     	=> array(
					esc_html__("Dark",'worldnews')   => 'dark',
					esc_html__("White",'worldnews')   => 'white',
					),
				'dependency'    =>array(
					'element'   =>'style',
					'value'     =>array('vertical'),
					),
				),
			array(
				"type" 			=> "dropdown",
				'admin_label' 	=> true,
				"heading" 		=> esc_html__("Text transform",'worldnews'),
				"param_name" 	=> "text_transform",
				"value"     	=> array(
					esc_html__("Normal",'worldnews')   => 'normal',
					esc_html__("Uppercase",'worldnews')   => 'upper',
					),
				'dependency'    =>array(
					'element'   =>'style',
					'value'     =>array('vertical'),
					),
				),
			array(
				'type' => 'param_group',
				'heading' => esc_html__('Add link item', 'worldnews'),
				'param_name' => 'add_item_link',
				'value' =>'',
				'params' => array(
					array(
						'type' => 'vc_link',
						'heading' => esc_html__( 'Add link', 'worldnews' ),
						'param_name' => 'link',
						),
					),
				'callbacks' => array(
					'after_add' => 'vcChartParamAfterAddCallback'
					),
				),
			array(
				"type"          => "css_editor",
				"heading"       => esc_html__("Custom Block",'worldnews'),
				"param_name"    => "custom_css",
				'group'         => esc_html__('Design Option','worldnews')
				),
			)
)
);