<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 29/02/16
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_post_box'))
{
    function s7upf_vc_post_box($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'title'         => '',
            'title_bg'      => '',
            'link'          => '#',
            'number'        => '1',
            'used_id'       => 'off',
            'post_id'       => '',
            'cats'          => '',
            'order'         => '',
            'order_by'      => '',
            'image_size'    => '',
            'small_img'     => '',
            'show_excerpt'  => '',
            'sv_excerpt'    => '5',
            'button_bg'     => '',
            'more_text'     => 'More',
            'border_color'  => 'transperent',
            'show_post_cat' => 'off',
            'show_post_by'  => 'off',
            'el_class'      => '',
            'first_bg'      => '',
            'number_column' => '3',
        ),$attr));
        $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
        $args=array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => $paged,
            'post_status'       => 'publish',
            'ignore_sticky_posts' => 1
        );
        if($order_by == 'post_views'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby'] = 'meta_value';
            $args['meta_key'] = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = '_post_like_count';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'category',
                'field'=>'slug',
                'terms'=> $custom_list
            );
        }
        $query = new WP_Query($args);
        if($used_id == 'on' and !empty($post_id)){
            $ids_arr = explode(',', $post_id);
            $ids_arr = array_unique($ids_arr);
            $args2 = array(
                'post_type' => 'post',
                'post__in'=>$ids_arr,
                'posts_per_page'    => $number,
                'post_status' => 'publish',
                'order'             => $order,
                'orderby'           => $order_by,
                'ignore_sticky_posts' => 1
            );
            $query = new WP_Query($args2);
        }
        $max_page = $query->max_num_pages;
        ob_start();
        if($query->have_posts()) {
            $html .= S7upf_Template::load_view('elements/post-box',false,array(
                'style'         => $style,
                'title'         => $title,
                'link'          => $link,
                'title_bg'      => $title_bg,
                'el_class'      => $el_class,
                'number'        => $number,
                'query'         => $query,
                'image_size'    => $image_size,
                'small_img'     => $small_img,
                'more_text'     => $more_text,
                'button_bg'     => $button_bg,
                'sv_excerpt'    => $sv_excerpt,
                'border_color'  => $border_color,
                'show_post_by'  => $show_post_by,
                'show_post_cat' => $show_post_cat,
                'show_excerpt'  => $show_excerpt,
                'first_bg'      => $first_bg,
                'number_column' => $number_column,
            ));
        }
        $html .= ob_get_clean();
        wp_reset_postdata();
        return  $html;
    }
}

stp_reg_shortcode('sv_post_box','s7upf_vc_post_box');
vc_map( array(
    "name"      => esc_html__("SV Post Box", 'worldnews'),
    "base"      => "sv_post_box",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'worldnews'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'worldnews')   => '',
                esc_html__("Style 1",'worldnews')   => 'style1',
                esc_html__("Style 2",'worldnews')   => 'style2',
                esc_html__("Style 3",'worldnews')   => 'style3',
                esc_html__("Style 4",'worldnews')   => 'style4',
                esc_html__("Style 5",'worldnews')   => 'style5',
                esc_html__("Style 6",'worldnews')   => 'style6',
                esc_html__("Style 7",'worldnews')   => 'style7',
                esc_html__("Style 8",'worldnews')   => 'style8',
                esc_html__("Style 9",'worldnews')   => 'style9',
                esc_html__("Style 10",'worldnews')  => 'style10',
                esc_html__("Style 11",'worldnews')  => 'style11',
                esc_html__("Style 12",'worldnews')  => 'style12',
                esc_html__("Style 13",'worldnews')  => 'style13',
            )
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Border color",'worldnews'),
            "param_name" => "border_color",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style5')
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'worldnews'),
            "param_name" => "title",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1', 'style3', 'style5', 'style7', 'style9', 'style10', 'style11', '')
            ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Title link",'worldnews'),
            "param_name"    => "link",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1', 'style3', 'style5', 'style7', 'style9', 'style10', 'style11', '')
            ),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Title background",'worldnews'),
            "param_name" => "title_bg",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style3', 'style5')
            ),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("First post background",'worldnews'),
            "param_name" => "first_bg",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style7')
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Read more text",'worldnews'),
            "param_name" => "more_text",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1', 'style2', 'style7')
            ),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("More button background",'worldnews'),
            "param_name" => "button_bg",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2'),
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Number post",'worldnews'),
            "param_name" => "number",
            'description'   => esc_html__( 'Number of post display in this element.', 'worldnews' ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Use ID post",'worldnews'),
            "param_name" => "used_id",
            'admin_label' => true,
            "value"         => array(
                esc_html__('Off','worldnews') => 'off',
                esc_html__('On','worldnews') => 'on',
            ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
        ),
        array(
            'type' => 'autocomplete', // Add filter in Visual Composer Control
            'heading' => esc_html__( 'Posts', 'worldnews' ),
            'param_name' => 'post_id',
            'edit_field_class'=>'vc_col-sm-12 vc_column',
            'settings' => array(
                'multiple' => true,
                'sortable' => true,
                'unique_values' => true,
                // In UI show results except selected. NB! You should manually check values in backend
            ),
            'save_always' => true,
            'description' => esc_html__( 'Enter List of Posts', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'used_id',
                'value'     =>array('on')
            ),
        ),
        array(
            'holder'     => 'div',
            'heading'     => esc_html__( 'Categories', 'worldnews' ),
            'type'        => 'checkbox',
            'param_name'  => 'cats',
            'value'       => s7upf_list_taxonomy('category',false),
            'edit_field_class'=>'vc_col-sm-12 vc_column s7upf-category-option',
            'dependency'    =>array(
                'element'   =>'used_id',
                'value'     =>array('off')
            ),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Number column",'worldnews'),
            "param_name" => "number_column",
            'admin_label' => true,
            "value"         => array(
                esc_html__('Three','worldnews') => '3',
                esc_html__('Two','worldnews') => '2',
                esc_html__('One','worldnews') => '1',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style8')
            ),
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order",'worldnews'),
            "param_name"    => "order",
            "value"         => array(
                esc_html__('Desc','worldnews') => 'DESC',
                esc_html__('Asc','worldnews')  => 'ASC',
            ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order By",'worldnews'),
            "param_name"    => "order_by",
            "value"         => s7upf_get_order_list(),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show author",'worldnews'),
            "param_name" => "show_post_by",
            'admin_label' => true,
            "value"         => array(
                esc_html__('Off','worldnews') => 'off',
                esc_html__('On','worldnews') => 'on',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style9', '')
            ),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show excerpt",'worldnews'),
            "param_name" => "show_excerpt",
            'admin_label' => true,
            "value"         => array(
                esc_html__('Off','worldnews') => 'off',
                esc_html__('On','worldnews') => 'on',
            ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('')
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Excerpt length",'worldnews'),
            "param_name" => "sv_excerpt",
            'description'   => esc_html__( 'This allows you to change the number of words in the excerpt (Default: 5 words).', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1', 'style2', 'style6', 'style7', 'style8', 'style9', 'style10', 'style12', '')
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'worldnews'),
            'param_name' => 'image_size',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Small Image Size', 'worldnews'),
            'param_name' => 'small_img',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2', 'style6', 'style7', 'style10')
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'worldnews'),
            "param_name" => "el_class",
            "description"   => "Style particular content element differently - add a class name and refer to it in custom CSS."
        ),
    )
)
);
