<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 29/02/16
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_post_slider'))
{
    function s7upf_vc_post_slider($attr)
    {
        $html = $class_nav = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'title'         => '',
            'link'          => '',
            'number_posts'  => '',
            'posts_per_page'=> '1',
            'used_id'       => 'off',
            'post_id'       => '',
            'cats'          => '',
            'sv_excerpt'    => '30',
            'order'         => '',
            'order_by'      => '',
            'el_class'      => '',
            'pagination'    => 'false',
            'navigation'    => 'true',
            'autoplay'      => 'false',
            'image_size'    => '',
            'button_bg'     => '',
            ),$attr));
        $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
        $args=array(
            'post_type'         => 'post',
            'posts_per_page'    => $number_posts,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => $paged,
            'post_status'       => 'publish',
            );
        if($order_by == 'post_views'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby'] = 'meta_value';
            $args['meta_key'] = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = '_post_like_count';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'category',
                'field'=>'slug',
                'terms'=> $custom_list
                );
        }
        $query = new WP_Query($args);
        if($used_id == 'on' and !empty($post_id)){
            $ids_arr = explode(',', $post_id);
            $ids_arr = array_unique($ids_arr);
            $args2 = array(
                'post_type'             => 'post',
                'posts_per_page'    => $number_posts,
                'post__in'              => $ids_arr,
                'post_status'           => 'publish',
                'order'                 => $order,
                'orderby'               => $order_by,
                'ignore_sticky_posts'   => 1,
                );
            $query = new WP_Query($args2);
        }
        $max_page = $query->max_num_pages;
        ob_start();
        if($query->have_posts()) {
            $html .= S7upf_Template::load_view('elements/post-slider',false,array(
                'style'         => $style,
                'title'         => $title,
                'link'          => $link,
                'el_class'      => $el_class,
                'query'         => $query,
                'pagination'    => $pagination,
                'navigation'    => $navigation,
                'autoplay'      => $autoplay,
                'image_size'    => $image_size,
                'button_bg'     => $button_bg,
                'number_posts'  => $number_posts,
                'posts_per_page'=> $posts_per_page,
                'sv_excerpt'    => $sv_excerpt,
                ));
        }
        $html .= ob_get_clean();
        wp_reset_postdata();
        return  $html;
    }
}

stp_reg_shortcode('sv_post_slider','s7upf_vc_post_slider');
vc_map( array(
    "name"      => esc_html__("SV Post Slider", 'worldnews'),
    "base"      => "sv_post_slider",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'worldnews'),
            "param_name" => "style",
            'description'   => esc_html__( 'Select style', 'worldnews' ),
            "value"     => array(
                esc_html__("Default",'worldnews')   => '',
                esc_html__("Style 1",'worldnews')   => 'style1',
                esc_html__("Style 2",'worldnews')   => 'style2',
                esc_html__("Style 3",'worldnews')   => 'style3',
                esc_html__("Style 4",'worldnews')   => 'style4',
                esc_html__("Style 5",'worldnews')   => 'style5',
                esc_html__("Style 6",'worldnews')   => 'style6',
                esc_html__("Style 7",'worldnews')   => 'style7',
                )
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'worldnews'),
            "param_name" => "title",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2','style3', 'style6', '')
                ),
            ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Button background",'worldnews'),
            "param_name" => "button_bg",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Link",'worldnews'),
            "param_name"    => "link",
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2','style3')
                ),
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Number posts",'worldnews'),
            "param_name" => "number_posts",
            'description'   => esc_html__( 'Total posts display in this element.', 'worldnews' ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            ),      
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Use ID post",'worldnews'),
            "param_name" => "used_id",
            'admin_label' => true,
            "value"         => array(
                esc_html__('Off','worldnews') => 'off',
                esc_html__('On','worldnews') => 'on',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
            ),
        array(
            'type' => 'autocomplete', // Add filter in Visual Composer Control
            'heading' => esc_html__( 'Posts', 'worldnews' ),
            'param_name' => 'post_id',
            'edit_field_class'  =>'vc_col-sm-12 vc_column',
            'settings'          => array(
                'multiple' => true,
                'sortable' => true,
                'unique_values' => true,
                // In UI show results except selected. NB! You should manually check values in backend
                ),
            'save_always'   => true,
            'description'   => esc_html__( 'Enter List of Posts', 'worldnews' ),
            'dependency'    => array(
                'element'   => 'used_id',
                'value'     => array('on')
                ),
            ),
        array(
            'holder'     => 'div',
            'heading'     => esc_html__( 'Categories', 'worldnews' ),
            'type'        => 'checkbox',
            'param_name'  => 'cats',
            'value'       => s7upf_list_taxonomy('category',false),
            'edit_field_class'=>'vc_col-sm-12 vc_column s7upf-category-option',
            'dependency'    =>array(
                'element'   =>'used_id',
                'value'     =>array('off')
                ),
            ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order",'worldnews'),
            "param_name"    => "order",
            "value"         => array(
                esc_html__('Desc','worldnews') => 'DESC',
                esc_html__('Asc','worldnews')  => 'ASC',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
            ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order By",'worldnews'),
            "param_name"    => "order_by",
            "value"         => s7upf_get_order_list(),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name",'worldnews'),
            "param_name" => "el_class",
            "description"   => "Style particular content element differently - add a class name and refer to it in custom CSS."
            ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Show navigation', 'worldnews' ),
            'param_name'    => 'navigation',
            'admin_label'   => true,
            'value' => array(
                esc_html__('Show','worldnews') => 'true',
                esc_html__('Hide','worldnews') => 'false',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'group'         => esc_html__('Advanced','worldnews')
            ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Show paginaiton', 'worldnews' ),
            'param_name'    => 'pagination',
            'admin_label'   => true,
            'value' => array(
                esc_html__('Show','worldnews') => 'true',
                esc_html__('Hide','worldnews') => 'false',
                ),
            'std'           => 'false',
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'group'         => esc_html__('Advanced','worldnews')
            ),        
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Auto Play', 'worldnews' ),
            'param_name'    => 'autoplay',
            'admin_label'   => true,
            'value' => array(
                esc_html__('Off','worldnews') => 'false',
                esc_html__('On','worldnews') => 'true',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'group'         => esc_html__('Advanced','worldnews')
            ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Posts per slide",'worldnews'),
            "param_name" => "posts_per_page",
            'description'   => esc_html__( 'Custom number post in 1 item of Slider', 'worldnews' ),
            'group'         => esc_html__('Advanced','worldnews'),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'value' => array(
                esc_html__('1 post','worldnews') => '1',
                esc_html__('2 posts','worldnews') => '2',
                esc_html__('3 posts','worldnews') => '3',
                esc_html__('4 posts','worldnews') => '4',
                esc_html__('5 posts','worldnews') => '5',
                ),
            ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'worldnews'),
            'param_name' => 'image_size',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
            'group'         => esc_html__('Advanced','worldnews')
            ),
        )
));