<?php
/**
 * Created by Sublime Text 3.
 * User: 7uptheme
 * Date: 8/8/2017
 * Time: 10:26
 */
if(!class_exists('S7upf_BannersWidget'))
{
    class S7upf_BannerWidget extends WP_Widget {
        protected $default=array();
        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }
        static function _add_widget()
        {
            register_widget( 'S7upf_BannerWidget' );
        }
        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('ST Banner','worldnews'),
                array( 'description' => esc_html__( 'Banner', 'worldnews' ), ));
            $this->default=array(
                'image_link'=> '',
                'image_url'=>'',
                'button_text'=>'',
                'el_class'=>'',
                );
        }
        function widget( $args, $instance ) {
            // Widget output
            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            echo '<div class="ads-style1 drop-shadow margin-b30">
            <a href="'; if (!empty($instance['image_link'])) { echo apply_filters('widget_title',$instance['image_link']);} echo '">
                <figure class="effect-bubba">
                    <img src="'; if (!empty($instance['image_url'])) { echo apply_filters('widget_title',$instance['image_url']);} echo '" alt="">
                    <figcaption>
                        <p class="'; if (!empty($instance['el_class'])) { echo apply_filters('widget_title',$instance['el_class']);} echo '">';
                            if (!empty($instance['button_text'])) { echo apply_filters('widget_title',$instance['button_text']);}
                            echo '</p>
                        </figcaption>
                    </figure>
                </a>        
            </div>';
        }
        function update( $new_instance, $old_instance ) {
        // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);
            return $new_instance;
        }
        function form( $instance ) {
            // Output admin widget options form
            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            ?>
            <p>
                <label><?php esc_html_e( 'Image link:' ,'worldnews'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'image_link' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'image_link' )); ?>" type="text" value="<?php echo esc_attr( $image_link ); ?>">
            </p>
            <p>
                <label><?php esc_html_e( 'Image url:' ,'worldnews'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'image_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'image_url' )); ?>" type="text" value="<?php echo esc_attr( $image_url ); ?>">
            </p>
            <p>
                <label><?php esc_html_e( 'Button text:' ,'worldnews'); ?></label>
                <input class="" id="<?php echo esc_attr($this->get_field_id( 'button_text' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'button_text' )); ?>" type="text" value="<?php echo esc_attr( $button_text ); ?>">
            </p>
            <p>
                <label><?php esc_html_e( 'Class:' ,'worldnews'); ?></label>
                <input class="" id="<?php echo esc_attr($this->get_field_id( 'el_class' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'el_class' )); ?>" type="text" value="<?php echo esc_attr( $el_class ); ?>">
            </p>
            <?php
        }
    }
    S7upf_BannerWidget::_init();
}
