<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
if(!class_exists('S7upf_ListPostsWidget'))
{
    class S7upf_ListPostsWidget extends WP_Widget {
        protected $default=array();
        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }
        static function _add_widget()
        {
            register_widget( 'S7upf_ListPostsWidget' );
        }
        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('ST List Posts','worldnews'),
                array( 'description' => esc_html__( 'Lists Posts', 'worldnews' ), ));
            $this->default=array(
                'title'=>esc_html__('List Posts','worldnews'),
                'posts_per_page'=> 5,
                'category'=>'',
                'order'=>'desc',
                'order_by'=>'ID',
                'image_size'    => '',
                'small_img'     => '',
                );
        }
        function widget( $args, $instance ) {
            // Widget output
            echo '<div class="cat-home3 home-title listing-cat color-border-top margin-b30">';
            if (!empty($instance['title'])) {
                echo '<h2 class="color-title">'.apply_filters('widget_title',$instance['title']).'</h2>';
            }
            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            $args_post = array(
                'post_type'         => 'post',
                'posts_per_page'    => $posts_per_page,
                'order'             => $order,
                'order_by'          => $order_by,
                'ignore_sticky_posts' => 1,
                );
            if(!empty($category)){
                $args_post['tax_query'][]=array(
                    'taxonomy'=>'category',
                    'field'=>'slug',
                    'terms'=> $category,
                    );
            }
            $query = new WP_Query($args_post);
            if($query->have_posts()) {
                $image_size = s7upf_get_size_image('full',$image_size);
                $small_img = s7upf_get_size_image('full',$small_img);
                echo '<div class="post-box">';
                $i = 1;
                while($query->have_posts()) {
                    $query->the_post();
                    if($i == 1) { 
                        echo '<div class="post-item white">
                        <div class="post-thumb">
                            <div class="list-cat-btn">';
                                $post_id = get_the_ID();
                                s7upf_list_cat_btn($post_id);
                                echo '</div><div class="type-icon">';
                                $format = get_post_format();
                                s7upf_post_format($format);
                                echo '</div>
                                <a href="'.get_the_permalink().'">'.get_the_post_thumbnail($post = null, $size= $image_size, $attr = '').'</a>
                            </div>
                            <div class="post-info">
                                <a href="'.get_the_permalink().'"><b>'.get_the_title().'</b></a>
                                <ul class="post-list-info">
                                    <li>
                                        <i class="ion-android-calendar"></i>
                                        <span>'.get_the_date(get_option('date_format')).'</span>
                                    </li>
                                    <li>
                                        <a href="'.esc_url(get_comments_link()).'">
                                            <i class="ion-chatbox-working"></i>
                                            <span>'.get_comments_number( '0', '1', '%' ).'</span>
                                        </a>
                                    </li>
                                </ul>
                                <p>'.s7upf_substr(get_the_excerpt(),0,20).'</p>
                            </div>
                        </div>';
                    } else {
                        if($i==2) echo '<div class="square">';
                        echo '
                        <div class="post-item">
                            <div class="post-thumb">
                                <a href="'.get_the_permalink().'">'.get_the_post_thumbnail($post = null, $size= $small_img, $attr = '').'</a>
                            </div>
                            <div class="post-info">
                                <a href="'.get_the_permalink().'"><b>'.get_the_title().'</b></a>
                                <ul class="post-list-info">
                                    <li>
                                        <i class="ion-android-calendar"></i>
                                        <span>'.get_the_date(get_option('date_format')).'</span>
                                    </li>
                                    <li>
                                        <a href="'.esc_url( get_comments_link() ).'">
                                            <i class="ion-chatbox-working"></i>
                                            <span>'.get_comments_number( '0', '1', '%' ).'</span>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>';
                        if($i==5) echo '</div>';
                    }
                    $i++;
                }
                echo '</div>';
            }
            wp_reset_postdata();
            echo '</div>';
        }
        function update( $new_instance, $old_instance ) {
            // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);
            return $new_instance;
        }
        function form( $instance ) {
            // Output admin widget options form
            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:' ,'worldnews'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>"><?php esc_html_e( 'Post Number:' ,'worldnews'); ?></label>
                <input class="" id="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'posts_per_page' )); ?>" type="text" value="<?php echo esc_attr( $posts_per_page ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'order_by' )); ?>"><?php esc_html_e( 'Order By:' ,'worldnews'); ?></label>

                <select id="<?php echo esc_attr($this->get_field_id( 'order_by' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'order_by' )); ?>">
                    <?php echo s7upf_get_order_list($order_by,array('post_view'=>esc_html__('Post View','worldnews')),'option');?>
                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'order' )); ?>"><?php esc_html_e( 'Order:' ,'worldnews'); ?></label>
                <select id="<?php echo esc_attr($this->get_field_id( 'order' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'order' )); ?>">
                    <option <?php selected('asc',$order) ?> value="asc">ASC</option>
                    <option <?php selected('desc',$order) ?> value="desc">DESC</option>
                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'category' )); ?>"><?php esc_html_e( 'Category:' ,'worldnews'); ?></label>
                <?php 
                wp_dropdown_categories(
                    array(
                        'selected'=>$category,
                        'show_option_all'=>esc_html__('--- Select ---','worldnews'),
                        'name'  =>$this->get_field_name( 'category' ),
                        'value_field'        => 'slug',
                        )
                    );
                    ?>
                </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'image_size' )); ?>"><?php esc_html_e( 'Big image size' ,'worldnews'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'image_size' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'image_size' )); ?>" type="text" value="<?php echo esc_attr( $image_size ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'small_img' )); ?>"><?php esc_html_e( 'Small image size' ,'worldnews'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'small_img' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'small_img' )); ?>" type="text" value="<?php echo esc_attr( $small_img ); ?>">
            </p>
                <?php
            }
        }
        S7upf_ListPostsWidget::_init();
    }
