<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
if(!class_exists('S7upf_BlogSliderPostsWidget'))
{
    class S7upf_BlogSliderPostsWidget extends WP_Widget {


        protected $default=array();

        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }

        static function _add_widget()
        {
            register_widget( 'S7upf_BlogSliderPostsWidget' );
        }

        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('S7up Slider Posts','worldnews'),
                array( 'description' => esc_html__( 'Lists Posts', 'worldnews' ), ));

            $this->default=array(
                'title'=>esc_html__('Slider Posts','worldnews'),
                'posts_per_page'=>6,
                'category'=>'',
                'order'=>'desc',
                'order_by'=>'ID',
                'image_size'    => '',
            );
        }

        function widget( $args, $instance ) {
            // Widget output
            $html = '';
            $html .= '<div class="trending home-title color-border-top ion-small margin-b30 drop-shadow">';
            if (!empty($instance['title'])) {
                $html .= '<h2 class="color-title">'.apply_filters('widget_title',$instance['title']).'</h2>';
            }
            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            $args_post = array(
                'post_type'         => 'post',
                'posts_per_page'    => $posts_per_page,
                'orderby'           => $order_by,
                'order'             => $order,
            );
            if(!empty($category)){
                $args_post['tax_query'][]=array(
                    'taxonomy'=>'category',
                    'field'=>'id',
                    'terms'=> $category
                );
            }
            $post_query = new WP_Query($args_post);
            if($post_query->have_posts()) {
                $image_size = s7upf_get_size_image('full',$image_size);
                $i = 0;
                $html .= '<div class="wrap-item" data-pagination="false" data-navigation="true" data-itemscustom="[[0,1]]">';
                
                while($post_query->have_posts()) {
                    $post_query->the_post();
                    if($i%3==0) $html .= '<div class="post-box">';
                    $html .= '<div class="post-item">
                        <div class="post-thumb">
                            <a href="'.get_the_permalink().'">'.get_the_post_thumbnail($post = null, $size= $image_size, $attr = '').'</a>
                        </div>
                        <div class="post-info">
                            <div class="list-cat-btn">';
                            $post_id = get_the_ID();
                            $html .= s7upf_primary_category_widget($post_id).'
                            </div>
                            <a href="'.get_the_permalink().'"><b>'.get_the_title().'</b></a>
                            <ul class="post-list-info">
                                <li>
                                    <i class="ion-android-calendar"></i>
                                    <span>'.get_the_date(get_option('date_format')).'</span>
                                </li>
                                <li>
                                    <a href="#">
                                        <i class="ion-chatbox-working"></i>
                                        <span>'.get_comments_number( '0', '1', '%' ).'</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>';
                    if(($i+1)%3==0) $html .= '</div>';
                    $i++;
                }
                $html .='</div>';
            }

            wp_reset_postdata();
            $html .= '</div>';
            echo balancetags($html);
        }

        function update( $new_instance, $old_instance ) {

            // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);

            return $new_instance;
        }

        function form( $instance ) {
            // Output admin widget options form

            $instance=wp_parse_args($instance,$this->default);

            extract($instance);

            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:' ,'worldnews'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>"><?php esc_html_e( 'Post Number:' ,'worldnews'); ?></label>
                <input class="" id="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'posts_per_page' )); ?>" type="text" value="<?php echo esc_attr( $posts_per_page ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'order_by' )); ?>"><?php esc_html_e( 'Order By:' ,'worldnews'); ?></label>

                <select id="<?php echo esc_attr($this->get_field_id( 'order_by' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'order_by' )); ?>">
                    <?php echo s7upf_get_order_list($order_by,array('post_view'=>esc_html__('Post View','worldnews')),'option');?>
                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'order' )); ?>"><?php esc_html_e( 'Order:' ,'worldnews'); ?></label>

                <select id="<?php echo esc_attr($this->get_field_id( 'order' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'order' )); ?>">
                    <option <?php selected('asc',$order) ?> value="asc">ASC</option>
                    <option <?php selected('desc',$order) ?> value="desc">DESC</option>

                </select>
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'category' )); ?>"><?php esc_html_e( 'Category:' ,'worldnews'); ?></label>

                <?php wp_dropdown_categories(array(
                    'selected'=>$category,
                    'show_option_all'=>esc_html__('--- Select ---','worldnews'),
                    'name'  =>$this->get_field_name( 'category' )
                    )); ?>
                </p>
                <p>
                    <label for="<?php echo esc_attr($this->get_field_id( 'image_size' )); ?>"><?php esc_html_e( 'Big image size' ,'worldnews'); ?></label>
                    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'image_size' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'image_size' )); ?>" type="text" value="<?php echo esc_attr( $image_size ); ?>">
                </p>

                <?php
            }
        }

        S7upf_BlogSliderPostsWidget::_init();

    }
