<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package 7up-framework
 */

get_header();
?>
<div id="main-content" class="main-wrapper">
    <?php do_action('s7upf_before_main_content')?>
    <div id="tp-blog-page" class="tp-blog-page"><!-- blog-page -->
        <div class="container">
            <div class="row">
                <?php s7upf_output_sidebar('left')?>
                <div class="listing-content <?php echo esc_attr(s7upf_get_main_class()); ?>">
                    <div class="listing-title color-border-top">
                        <h2 class="color-title pull-left"><?php the_archive_title(); ?></h2>
                        <div class="bread-crumb pull-right">
                            <?php s7upf_display_breadcrumb();?>
                        </div>
                    </div>
                    <?php if(have_posts()): ?>
                        <div class="post-box-listing margin-b20 border-bottom">
                            <?php
                            $style_blog = s7upf_get_option('s7upf_style_blog');
                            if (!empty($style_blog)) {
                                ?>
                                <div class="<?php if($style_blog != 'list') echo 'grid-blog '; else echo 'row'; ?>">
                                    <?php
                                    $i = 1;
                                    while (have_posts()) :the_post();
                                    if(($style_blog == 'grid2')&(($i-1)%2==0)) echo '<div class="row">';
                                    if(($style_blog == 'grid3')&(($i-1)%3==0)) echo '<div class="row">';
                                    get_template_part('s7upf_templates/blog-content/content-'.$style_blog);
                                    if(($style_blog == 'grid2')&($i%2==0)) echo '</div>';
                                    if(($style_blog == 'grid3')&($i%3==0)) echo '</div>';
                                    $i++;
                                    endwhile;
                                    if (($style_blog == 'grid2')&(($i-1)%2 != 0)) echo '</div>';
                                    if (($style_blog == 'grid3')&(($i-1)%3 != 0)) echo '</div>';
                                    ?>
                                </div>
                                <?php
                            } else {
                                while (have_posts()) :the_post();
                                get_template_part('s7upf_templates/blog-content/content');
                                endwhile;
                            }
                            ?>
                        </div>
                        <?php wp_reset_postdata();?>
                        <?php s7upf_paging_nav();?>
                    <?php else : ?>
                        <?php get_template_part( 's7upf_templates/blog-content/content', 'none' ); ?>
                    <?php endif;?>
                </div>
                <?php s7upf_output_sidebar('right')?>
            </div>
        </div>
    </div>
    <?php do_action('s7upf_affter_main_content')?>
</div>
<?php get_footer(); ?>
