<?php
/**
 * The template for displaying all single posts.
 *
 * @package 7up-framework
 */

get_header();
?>
<div id="main-content" class="st-default content-page">
    <div class="container">
        <div class="row">
            <div class="tp-blog-page">
                <?php s7upf_output_sidebar('left')?>
                <div class="<?php echo esc_attr(s7upf_get_main_class()); ?>">
                    <?php
                    while (have_posts()) : the_post();

                        /*
                        * Include the post format-specific template for the content. If you want to
                        * use this in a child theme, then include a file called called content-___.php
                        * (where ___ is the post format) and that will be used instead.
                        */
                        ?>
                        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                            <h1 class="title18 margin-b20"><?php the_title()?></h1>
                            <div class="entry-content">
                                <?php the_content(); ?>
                                <?php
                                wp_link_pages( array(
                                    'before' => '<div class="page-nav-bar">' . esc_html__( 'Pages:', 'worldnews' ),
                                    'after'  => '</div>',
                                    'link_before' => '<span class="post-page">',
                                    'link_after'  => '</span>',
                                    'separator'        => '',
                                    'nextpagelink'     => esc_html__( '&larr;', 'worldnews' ),
                                    'previouspagelink' => esc_html__( '&rarr;', 'worldnews' ),
                                    'pagelink'         => '%',
                                    'echo'             => 1
                                ));
                                ?>
                            </div><!-- .entry-content -->
                        </article><!-- #post-## -->
                        <?php 
                    // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number()) :
                            comments_template();
                        endif;
                        endwhile; ?>
                    </div> 
                    <?php s7upf_output_sidebar('right')?>
                </div>
            </div>
        </div>
    </div>
    <?php
    get_footer();