<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 26/07/17
 * Time: 11:51
 */

if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
switch ($style) {            
    case 'style1':
    ?>
    <div class="follow <?php echo esc_attr($css_class);?>">
        <?php if(!empty($title)) echo '<h3 class="title14">'.$title.'</h3>'; ?>
        <ul class="list-none">
            <?php
            if(is_array($data)){
                foreach ($data as $key => $value){
                    if(isset($value['link']) && isset($value['icon'])) {
                        ?>
                        <li><a href="<?php echo esc_url($value['link']); ?>" title=""><i class="fa <?php echo esc_attr($value['icon']); ?>"></i></a></li>
                        <?php
                    }
                }
            } ?>
        </ul>
    </div>
    <?php
    break;
    case 'style2':
    ?>
    <div class="stay-with-us home-title color-border-bottom drop-shadow social-likes">
        <?php if(!empty($title)) echo '<h2 class="color-title margin-b20">'.$title.'</h2>'; ?>
        <ul class="list-none">
            <?php if($show_facebook=='on') {
                $access_token = s7upf_get_fb_access_token($f_app_id, $f_app_secret);
                if(isset($f_page_id,$f_app_secret) && $f_app_id!='' && $f_app_secret!=''){
                    $count = s7upf_new_fb_count($f_page_id, $access_token);
                }else{
                    $api_url = 'https://www.facebook.com/'.$f_page_id;
                    $count = s7upf_facebook_count($api_url);
                }
                set_transient('apsc_facebook', $count, $cache_period);
                if($count!=0){
                    set_transient('apsc_facebook',$count,$cache_period);
                }
                ?>
                <li>
                    <div class="glow-social">
                        <a href="<?php echo esc_url('https://facebook.com/').$f_page_id; ?>" title=""><i class="ion-social-facebook"></i></a>
                        <p>
                            <strong><?php if($count!=0) echo esc_attr($count); else echo esc_attr($f_default); ?></strong>
                            <?php esc_html_e('Likes', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php 
            }
            if($show_twitter=='on') {
                $authorization = s7upf_authorization($t_username, $t_consumer_key, $t_consumer_secret, $t_access_token, $t_act_secret);
                $count = s7upf_get_twitter_count($t_username, $authorization);
                ?>
                <li>
                    <div class="glow-social">
                        <a href="<?php echo esc_url('https://twitter.com/').$t_username; ?>" title=""><i class="ion-social-twitter"></i></a>
                        <p>
                            <strong><?php if($count!=0) echo esc_attr($count); else echo esc_attr($t_default); ?></strong>
                            <?php esc_html_e('Followers', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php 
            }
            if($show_pinterest=='on') {
                $url = 'https://pinterest.com/'.$p_username;
                $count = s7upf_get_pinterest( $p_username, $cache_period );
                ?> 
                <li>
                    <div class="glow-social">
                        <a href="<?php echo esc_attr($url); ?>" title=""><i class="ion-social-pinterest"></i></a>
                        <p>
                            <strong><?php if($count!=0) echo esc_attr($count); else echo esc_attr($p_default); ?></strong>
                            <?php esc_html_e('Followers', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php
            }
            if($show_instagram=='on') {
                $username = $i_username;
                $user_id = $i_userid;
                $social_profile_url = 'https://instagram.com/' . $username;
                $access_token = $i_access_token;
                $api_url = 'https://api.instagram.com/v1/users/self/?access_token=' . $access_token;
                $params = array(
                    'sslverify' => false,
                    'timeout' => 60
                    );
                $connection = wp_remote_get($api_url, $params);
                if (is_wp_error($connection)) {
                    $count = 0;
                } else {
                    $response = json_decode($connection['body'], true);
                    if (
                        isset($response['meta']['code']) && 200 == $response['meta']['code'] && isset($response['data']['counts']['followed_by'])
                        )
                    {
                        $count = (intval($response['data']['counts']['followed_by']));
                        set_transient('apsc_instagram',$count,$cache_period);
                    } else {
                        $count = 0;
                    }
                }
                ?>
                <li>
                    <div class="glow-social">
                        <a href="<?php echo esc_attr($social_profile_url); ?>" title=""><i class="ion-social-instagram"></i></a>
                        <p>
                            <strong><?php if($count!=0) echo esc_attr($count); else echo esc_attr($i_default); ?></strong>
                            <?php esc_html_e('Followers', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php 
            }
            if($show_vimeo=='on') {
                $url = 'https://vimeo.com/'.$v_userid;
                $count = s7upf_get_vimeo( $v_userid, $cache_period );
                ?> 
                <li>
                    <div class="glow-social">
                        <a href="<?php echo esc_attr($url); ?>" title=""><i class="ion-social-vimeo"></i></a>
                        <p>
                            <strong><?php if($count!=0) echo esc_attr($count); else echo esc_attr($v_default); ?></strong>
                            <?php esc_html_e('Followers', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php
            }
            if($show_google=='on') {
                $social_profile_url = 'https://plus.google.com/'.$g_pagename;
                $api_url = 'https://www.googleapis.com/plus/v1/people/'.$g_pagename.'?key='.$g_api_key;
                $params = array(
                    'sslverify' => false,
                    'timeout' => 60
                    );
                $connection = wp_remote_get($api_url, $params);
                if (is_wp_error($connection)) {
                    $count = 0;
                } else {
                    $_data = json_decode($connection['body'], true);

                    if (isset($_data['circledByCount'])) {
                        $count = (intval($_data['circledByCount']));
                        set_transient('apsc_googlePlus', $count,$cache_period);
                    } else {
                        $count = 0;
                    }
                }
                ?>
                <li>
                    <div class="glow-social">
                        <a href="<?php echo esc_attr($social_profile_url); ?>" title=""><i class="ion-social-googleplus"></i></a>
                        <p>
                            <strong><?php if($count!=0) echo esc_attr($count); else echo esc_attr($g_default); ?></strong>
                            <?php esc_html_e('Followers', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php 
            }
            if($show_rss=='on') { 
                ?>
                <li>
                    <div class="glow-social">
                        <a href="<?php bloginfo('rss2_url'); ?>" title=""><i class="ion-social-rss"></i></a>
                        <p><strong><?php esc_html_e('RSS', 'worldnews'); ?></strong><?php esc_html_e('Feed', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php 
            }
            if($show_linkedin=='on') {
                $url = 'https://www.linkedin.com/company-beta/'.$l_company_id;
                $count = s7upf_get_linkedin( $cache_period, $l_access_token, $l_company_id )
                ?> 
                <li>
                    <div class="glow-social">
                        <a href="<?php echo esc_attr($url); ?>" title=""><i class="ion-social-linkedin"></i></a>
                        <p>
                            <strong><?php if($count!=0) echo esc_attr($count); else echo esc_attr($l_default); ?></strong>
                            <?php esc_html_e('Followers', 'worldnews'); ?>
                        </p>
                    </div>
                </li>
                <?php
            } ?>
        </ul>
    </div>
    <?php
    break;

    default:
    ?>
    <div class="follow">
        <?php if(!empty($title)) echo '<h3 class="title14">'.$title.'</h3>'; ?>
        <ul class="list-none">
            <?php
            if(is_array($data)){
                foreach ($data as $key => $value){
                    if(isset($value['link']) && isset($value['icon'])) {
                        ?>
                        <li><a href="<?php echo esc_url($value['link']); ?>" title=""><i class="fa <?php echo esc_attr($value['icon']); ?>"></i></a></li>
                        <?php
                    }
                }
            } ?>
        </ul>
    </div>
    <?php
    break;
}